Browse Source

Création du dépot

arllinux 4 months ago
parent
commit
f89db52d95
100 changed files with 2423 additions and 0 deletions
  1. 18 0
      Afaire
  2. BIN
      Grub-Theme/DejaVuSans-20.pf2
  3. 68 0
      Grub-Theme/GetProfileImage.sh
  4. BIN
      Grub-Theme/GetProfileImage.sh.x
  5. 122 0
      Grub-Theme/LICENSE.md
  6. 127 0
      Grub-Theme/README.md
  7. 5 0
      Grub-Theme/SteamUserInfo.xml
  8. BIN
      Grub-Theme/UserName.png
  9. 104 0
      Grub-Theme/ancien/README.md
  10. 182 0
      Grub-Theme/ancien/install_old
  11. BIN
      Grub-Theme/avatarBorder.png
  12. BIN
      Grub-Theme/background.png
  13. BIN
      Grub-Theme/btnEnter.png
  14. BIN
      Grub-Theme/btnNav.png
  15. BIN
      Grub-Theme/icons/Arch.png
  16. BIN
      Grub-Theme/icons/Fedora.png
  17. BIN
      Grub-Theme/icons/arch.png
  18. BIN
      Grub-Theme/icons/debian.png
  19. BIN
      Grub-Theme/icons/fedora.png
  20. BIN
      Grub-Theme/icons/fuduntu.png
  21. BIN
      Grub-Theme/icons/gentoo.png
  22. BIN
      Grub-Theme/icons/kubuntu.png
  23. BIN
      Grub-Theme/icons/linuxmint.png
  24. BIN
      Grub-Theme/icons/opensuse.png
  25. BIN
      Grub-Theme/icons/sabayon.png
  26. BIN
      Grub-Theme/icons/steamos.png
  27. BIN
      Grub-Theme/icons/submenu.png
  28. BIN
      Grub-Theme/icons/ubuntu.png
  29. BIN
      Grub-Theme/icons/windows.png
  30. 211 0
      Grub-Theme/install.sh
  31. BIN
      Grub-Theme/menu_bkg_c.png
  32. BIN
      Grub-Theme/menu_bkg_e.png
  33. BIN
      Grub-Theme/menu_bkg_n.png
  34. BIN
      Grub-Theme/menu_bkg_ne.png
  35. BIN
      Grub-Theme/menu_bkg_nw.png
  36. BIN
      Grub-Theme/menu_bkg_s.png
  37. BIN
      Grub-Theme/menu_bkg_se.png
  38. BIN
      Grub-Theme/menu_bkg_sw.png
  39. BIN
      Grub-Theme/menu_bkg_w.png
  40. BIN
      Grub-Theme/progress_bar_c.png
  41. BIN
      Grub-Theme/progress_bar_e.png
  42. BIN
      Grub-Theme/progress_bar_w.png
  43. BIN
      Grub-Theme/progress_highlight_c.png
  44. BIN
      Grub-Theme/select_bkg_c.png
  45. BIN
      Grub-Theme/select_bkg_e.png
  46. BIN
      Grub-Theme/select_bkg_w.png
  47. BIN
      Grub-Theme/term_bkg_c.png
  48. BIN
      Grub-Theme/term_bkg_e.png
  49. BIN
      Grub-Theme/term_bkg_n.png
  50. BIN
      Grub-Theme/term_bkg_ne.png
  51. BIN
      Grub-Theme/term_bkg_nw.png
  52. BIN
      Grub-Theme/term_bkg_s.png
  53. BIN
      Grub-Theme/term_bkg_se.png
  54. BIN
      Grub-Theme/term_bkg_sw.png
  55. BIN
      Grub-Theme/term_bkg_w.png
  56. 80 0
      Grub-Theme/theme.txt
  57. 80 0
      Grub-Theme/themetemplate.txt
  58. BIN
      Grub-Theme/title.png
  59. 20 0
      astuces/bureau/skype
  60. 27 0
      astuces/bureau/thunderbird
  61. 3 0
      astuces/chromium/chromium-fr
  62. 3 0
      astuces/git/readthedoc
  63. 47 0
      astuces/maj_système/masquer_partition
  64. 46 0
      astuces/maj_système/no_support_fr_FR_utf8
  65. 12 0
      astuces/maj_système/reactiver_son
  66. 23 0
      astuces/maj_système/renommer_cle
  67. 275 0
      astuces/maj_système/supp_windows
  68. 220 0
      astuces/modif-partition/sfdisk
  69. 20 0
      astuces/scripts/espace_nom
  70. 10 0
      astuces/scripts/my_ip
  71. 61 0
      astuces/scripts/rsync_exclude
  72. 32 0
      astuces/scripts/teamviewerOnOff
  73. 12 0
      astuces/video/001_archives_film.sh
  74. 28 0
      astuces/video/LISEZ-MOI
  75. 30 0
      astuces/video/ffmpeg_concatener.sh
  76. 39 0
      astuces/video/joindre_videos/LISEZ-MOI
  77. 30 0
      astuces/video/joindre_videos/concat.sh
  78. 55 0
      astuces/vim/cmd_vim
  79. 19 0
      astuces/vim/copier_coller_vim
  80. 103 0
      astuces/virtualbox/convertir_vdi
  81. 9 0
      mint/README.txt
  82. 19 0
      mint/bash/invite_root
  83. 19 0
      mint/bash/invite_users
  84. 130 0
      mint/bootsplash/.svn/entries
  85. 5 0
      mint/bootsplash/.svn/prop-base/gl2.tga.svn-base
  86. 5 0
      mint/bootsplash/.svn/prop-base/maboul.tga.svn-base
  87. 5 0
      mint/bootsplash/.svn/prop-base/wwl.tga.svn-base
  88. BIN
      mint/bootsplash/.svn/text-base/gl2.tga.svn-base
  89. BIN
      mint/bootsplash/.svn/text-base/maboul.tga.svn-base
  90. BIN
      mint/bootsplash/.svn/text-base/wwl.tga.svn-base
  91. BIN
      mint/bootsplash/gl2.tga
  92. BIN
      mint/bootsplash/maboul.tga
  93. BIN
      mint/bootsplash/wwl.tga
  94. 20 0
      mint/cleanmenu/cleanmenu.sh
  95. 12 0
      mint/cleanmenu/desktop/audacity.desktop
  96. 24 0
      mint/cleanmenu/desktop/base.desktop
  97. 24 0
      mint/cleanmenu/desktop/calc.desktop
  98. 15 0
      mint/cleanmenu/desktop/dconf-editor.desktop
  99. 24 0
      mint/cleanmenu/desktop/draw.desktop
  100. 0 0
      mint/cleanmenu/desktop/empathy.desktop

+ 18 - 0
Afaire

@@ -0,0 +1,18 @@
+mardi 10 janvier 2017
+Reconstruire une archive pour config firefox qui intègre :
+https everywhere
+Flagfoox
+Wot ???
+
+samedi 21 janvier 2017
+L'archive a été reconstruite 
+Elle intègre https everywhere et Flagfoox
+Wot n'est plus disponible
+Son emplacement :
+http://sloteur.free.fr/param_mf/mozilla.tar.gz
+
+Janvier 2018
+L'archive a été reconstruite pour Firefox 58 
+Elle intègre https everywhere et Flagfoox et Adblock plus
+Son emplacement :
+http://sloteur.free.fr/param_mf/mozilla.tar.gz

BIN
Grub-Theme/DejaVuSans-20.pf2


+ 68 - 0
Grub-Theme/GetProfileImage.sh

@@ -0,0 +1,68 @@
+#! /bin/bash
+
+#API Key you get from Steam goes here
+APIKey=""
+
+echo "Copy and paste your Steam username URL identifier"
+echo "Example: Mine is http://steamcommunity.com/id/legendarybibo"
+echo "So I would just copy and paste 'legendarybibo' without the quotes"
+echo ""
+echo "Username:"
+read Username
+echo ""
+
+if [[ -a "$Username?xml=1" ]]; then
+rm -f "$Username?xml=1"
+fi
+
+if [[ -a "SteamUserInfo.xml" ]]; then
+rm -f "SteamUserInfo.xml"
+fi
+
+wget --quiet "http://steamcommunity.com/id/$Username?xml=1"
+
+IDnum=$(grep "steamID64" $Username\?xml\=1 | sed 's/<steamID64>//g' | sed 's/<\/steamID64>//g' | sed 's/   //g')
+
+wget --quiet --output-document SteamUserInfo.xml "http://api.steampowered.com/ISteamUser/GetPlayerSummaries/v0002/?key=$APIKey&steamids=$IDnum&format=xml"
+
+UserImg=$(grep "<avatar>" SteamUserInfo.xml | sed 's/<avatar>//g' | sed 's/<\/avatar>//g' | sed 's/                    //g')
+UserName=$(grep "<personaname>" SteamUserInfo.xml | sed 's/<personaname>//g' | sed 's/<\/personaname>//g' | sed 's/			//g' | tr [a-z] [A-Z])
+echo "Your display name is $UserName"
+
+wget --quiet --output-document ProfilePic.jpg $UserImg
+
+convert -size 800x85 xc:transparent -colorspace RGB canvas.png && convert -size 560x85 -colorspace RGB xc:transparent -font Helvetica -pointsize 56 -fill "#d2d2d2" -draw "text 1,50 '$UserName'" -trim +repage canvas.png && mv canvas.png UserName.png
+
+Dim=$(file UserName.png | sed 's/UserName.png: PNG image data, //g' | sed 's/,.*//g')
+Width=$(echo $Dim | sed 's/ .*//g')
+Height=$(echo $Dim |sed 's/.*x //g')
+
+echo "Profile name label width: $Width"
+echo "Profile name label height: $Height"
+HalfHeight=$(echo $(printf %.$2f $(echo "$Height/2" | bc)))
+
+echo "+ image {
+		top = 6%-$HalfHeight
+		left = 100%-110-$Width
+		width = $Width
+		height = $Height
+		file = "UserName.png"
+}" >> theme.txt
+
+echo "+ image {
+		top = 6%-20
+		left = 100%-90
+		width = 40
+		height = 40
+		file = "avatarBorder.png"
+}" >> theme.txt
+
+echo "+ image {
+		top = 6%-16
+		left = 100%-86
+		width = 32
+		height = 32
+		file = "ProfilePic.jpg"
+}" >> theme.txt
+
+

BIN
Grub-Theme/GetProfileImage.sh.x


+ 122 - 0
Grub-Theme/LICENSE.md

@@ -0,0 +1,122 @@
+The MIT License (MIT)
+
+Copyright (c) 2013 Legendary Bibo
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of
+this software and associated documentation files (the "Software"), to deal in
+the Software without restriction, including without limitation the rights to
+use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+the Software, and to permit persons to whom the Software is furnished to do so,
+subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all
+copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+
+***Font License
+Fonts are (c) Bitstream (see below). DejaVu changes are in public domain.
+Glyphs imported from Arev fonts are (c) Tavmjong Bah (see below)
+
+Bitstream Vera Fonts Copyright
+------------------------------
+
+Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream Vera is
+a trademark of Bitstream, Inc.
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of the fonts accompanying this license ("Fonts") and associated
+documentation files (the "Font Software"), to reproduce and distribute the
+Font Software, including without limitation the rights to use, copy, merge,
+publish, distribute, and/or sell copies of the Font Software, and to permit
+persons to whom the Font Software is furnished to do so, subject to the
+following conditions:
+
+The above copyright and trademark notices and this permission notice shall
+be included in all copies of one or more of the Font Software typefaces.
+
+The Font Software may be modified, altered, or added to, and in particular
+the designs of glyphs or characters in the Fonts may be modified and
+additional glyphs or characters may be added to the Fonts, only if the fonts
+are renamed to names not containing either the words "Bitstream" or the word
+"Vera".
+
+This License becomes null and void to the extent applicable to Fonts or Font
+Software that has been modified and is distributed under the "Bitstream
+Vera" names.
+
+The Font Software may be sold as part of a larger software package but no
+copy of one or more of the Font Software typefaces may be sold by itself.
+
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF COPYRIGHT, PATENT,
+TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL BITSTREAM OR THE GNOME
+FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, INCLUDING
+ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
+WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
+THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM OTHER DEALINGS IN THE
+FONT SOFTWARE.
+
+Except as contained in this notice, the names of Gnome, the Gnome
+Foundation, and Bitstream Inc., shall not be used in advertising or
+otherwise to promote the sale, use or other dealings in this Font Software
+without prior written authorization from the Gnome Foundation or Bitstream
+Inc., respectively. For further information, contact: fonts at gnome dot
+org. 
+
+Arev Fonts Copyright
+------------------------------
+
+Copyright (c) 2006 by Tavmjong Bah. All Rights Reserved.
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of the fonts accompanying this license ("Fonts") and
+associated documentation files (the "Font Software"), to reproduce
+and distribute the modifications to the Bitstream Vera Font Software,
+including without limitation the rights to use, copy, merge, publish,
+distribute, and/or sell copies of the Font Software, and to permit
+persons to whom the Font Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright and trademark notices and this permission notice
+shall be included in all copies of one or more of the Font Software
+typefaces.
+
+The Font Software may be modified, altered, or added to, and in
+particular the designs of glyphs or characters in the Fonts may be
+modified and additional glyphs or characters may be added to the
+Fonts, only if the fonts are renamed to names not containing either
+the words "Tavmjong Bah" or the word "Arev".
+
+This License becomes null and void to the extent applicable to Fonts
+or Font Software that has been modified and is distributed under the 
+"Tavmjong Bah Arev" names.
+
+The Font Software may be sold as part of a larger software package but
+no copy of one or more of the Font Software typefaces may be sold by
+itself.
+
+THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL
+TAVMJONG BAH BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL, OR CONSEQUENTIAL
+DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+FROM, OUT OF THE USE OR INABILITY TO USE THE FONT SOFTWARE OR FROM
+OTHER DEALINGS IN THE FONT SOFTWARE.
+
+Except as contained in this notice, the name of Tavmjong Bah shall not
+be used in advertising or otherwise to promote the sale, use or other
+dealings in this Font Software without prior written authorization
+from Tavmjong Bah. For further information, contact: tavmjong @ free
+. fr.
+
+$Id: LICENSE 2133 2007-11-28 02:46:28Z lechimp $

+ 127 - 0
Grub-Theme/README.md

@@ -0,0 +1,127 @@
+# Grub theme
+
+### Ancien Screenshot
+
+![ScreenShot](http://i.imgur.com/yQCOjnR.png)
+
+Ok, alors pour les premières étapes, vous allez vouloir déterminer quelles résolutions sont supportées par grub, vous pouvez le trouver en installant `hwinfo`, et en lançant :
+
+```
+hwinfo --framebuffer
+```
+
+Ou en redémarrant et dans le menu grub, ouvrez la ligne de commande avec 'C', et entrez
+
+```
+vbeinfo
+```
+
+Les sorties peuvent être différentes. Donc, une fois que vous avez trouvé vos résolutions prises en charge, notez celle qui correspond à votre résolution prise en charge la plus élevée (ou à la suivante en dessous). Maintenant, pour l’installer exécutez la commande suivant pour récupérer l'ensemble du dépot git :
+
+---
+
+git clone https://github.com/arllinux/mint
+
+---
+
+Entrez dans le répertoire :
+
+---
+
+cd Grub-Theme
+
+---
+
+
+### Exigences :
+
+Vous aurez besoin d'installer le paquet mscorefonts et le paquet imagemagick. Sur Ubuntu, la commande est :
+
+```
+sudo apt install ttf-mscorefonts-installer imagemagick
+
+```
+Pour lancer l'installation :
+
+---
+sudo ./install.sh
+
+---
+
+Il suffit de répondre aux quelques questions qui ont été traduites en français par le sloteur fou...
+
+### Problèmes connus :
+
+L’image `UserName.png` doit être convertie en RVB dans Gimp après l’installation. L'image que vous devez éditer sera située dans `/ boot / grub / themes / SteamBP` dans Ubuntu. D'autres distributions placent ce répertoire ailleurs. J'essaie de comprendre pourquoi ImageMagick le garde en niveaux de gris.
+### FAQ:
+
+1.  **Pourquoi ne faites-vous pas des versions grand écran ? **
+
+   Par expérience, même lorsque grub prend en charge une résolution d’écran large, le thème semble insignifiant. De plus, je m'en tiens aux résolutions standard de l'extension VESA BIOS Extension. Cependant, vous êtes libre d'expérimenter des thèmes indépendants de la résolution.
+
+2.  **Comment puis-je le désactiver ?**
+
+    Ouvrez `/ etc /default/grub` en root dans votre éditeur de texte de votre choix et trouvez la ligne« GRUB_THEME = / some / directory », puis commentez-la (mettez un« # »au début de la ligne) ou effacez-le, puis enregistrez-le.
+
+     Ensuite, faites une commande `update-grub` avec root (probablement Ubuntu uniquement) ou exécutez le script` mkconfig` de grub avec root (présent dans `/grub`,` /boot/grub` ou `/boot/grub2`)
+
+     Vous pouvez aussi lancer
+
+        grub-mkconfig -o /path/to/grub.cfg
+        grub2-mkconfig -o /path/to/grub.cfg
+
+    sur votre distribution en tant que root
+
+3.  **Puis-je ajouter l'icone de ma distribution ?**
+
+    Oui. Je serais ravi de le faire, mais il faudrait que vous sachiez comment nommer l'icône, ce que vous pouvez trouver en ouvrant votre fichier `grub.cfg` et en localisant l'entrée du menu de votre distribution, pour que vous ' ll y aura une ligne comme
+
+        menuentry "Gentoo" --class gentoo --class os...
+
+    En gros, j'ai besoin de connaître le nom de la classe de distribution pour savoir comment nommer l'icône.
+
+4.  **Fontionne-t-il avex grub 1 legacy**
+
+    Malheureusement grub 1 ne supporte pas les images
+
+### Steam Big Picture Grub Theme TODO list
+
+- ~~Move Progress bar to above buttons, but centered. Remove border and glow, but give grey background. Gradient on fill as well.~~
+
+- ~~Change title to "Select OS" and center~~
+
+- Make text in list bigger
+
+- ~~Get colors and look more accurate.~~
+
+- Figure out how to get all menu items to be capitalized.
+
+- ~~Add bokeh dots to background~~
+
+#### One more thing
+
+Vous avez peut-être remarqué les fichiers GetProfileImage.sh.x et GetProfileImage.sh. Celui avec l'extension .x est juste le fichier .sh "compilé" avec shc. La seule différence entre ces fichiers est que le fichier .x contient une clé API.
+
+### Screenshots:
+
+**Ancienne version**
+![ScreenShot](http://i.imgur.com/T4pbHXT.png)
+
+**Nouvelles versions**
+
+### 1600x1200  Ancien (Placement statique)
+![ScreenShot](http://i.imgur.com/RbZttjy.png)
+
+### 1600x1200 Nouvelle (Placement relatif)
+![ScreenShot](http://i.imgur.com/USD0JJP.png)
+
+### 1024x768
+![ScreenShot](http://i.imgur.com/bMxCQ4E.png)
+
+### 800x600
+![ScreenShot](http://i.imgur.com/HxX2EsO.png)
+
+### 640x480 - Non recommandé !!
+![ScreenShot](http://i.imgur.com/l5aT9fE.png)
+
+

+ 5 - 0
Grub-Theme/SteamUserInfo.xml

@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE response>
+<response>
+	<players></players>
+</response>

BIN
Grub-Theme/UserName.png


+ 104 - 0
Grub-Theme/ancien/README.md

@@ -0,0 +1,104 @@
+# Steam Big Picture: Grub theme
+
+### Latest Screenshot
+
+![ScreenShot](http://i.imgur.com/yQCOjnR.png)
+
+Okay so for the first steps you're going to want to determine what resolutions grub supports, this can be found by installing/building `hwinfo`, and running
+
+```
+hwinfo --framebuffer
+```
+
+with root, or by rebooting and at the grub menu, open up the command line with 'C', and enter
+
+```
+vbeinfo
+```
+
+The outputs may be different. So after you find out your supported resolutions, download the one that matches your highest supported resolution (or the next one below it). Now to install it, just extract the tar.gz and run the `install.sh` script with root in a terminal. It'll ask you a few questions then install everything in its proper location.
+
+### Requirements:
+
+You'll need to install the mscorefonts package and the imagemagick package. On Ubuntu the command is
+
+```
+sudo apt-get install ttf-mscorefonts-installer imagemagick
+```
+
+### Known Issues:
+
+The `UserName.png` image needs to be converted to RGB in Gimp after installation. The image that you have to edit will be located in `/boot/grub/themes/SteamBP` in Ubuntu. Other distros place this directory somewhere else. I'm trying to figure out why ImageMagick keeps it as Grayscale.
+
+### FAQ:
+
+1.  **Why don't you make widescreen versions?**
+
+    From experience, even when grub supports a widescreen resolution, the theme looks wonky. Also, I stick to the standard VESA BIOS Extension resolutions as a safe bet. However, you're free to experiment with any resolution independent themes.
+
+2.  **How do I disable it?**
+
+    Open up `/etc/default/grub` with root in your text editor of choice and find the line that says `GRUB_THEME=/some/directory`, then comment it out (put a '#' at the beginning of the line) or erase it, then save it. 
+
+    Then either do an `update-grub` with root (it's probably Ubuntu only), or run grub's `mkconfig` script with root (found in either `/grub`, `/boot/grub`, or `/boot/grub2`)
+
+    You can also run 
+
+        grub-mkconfig -o /path/to/grub.cfg
+        grub2-mkconfig -o /path/to/grub.cfg
+
+    on your distro with root
+
+3.  **Can you add X distro icon?**
+
+    Yes. I'd be glad to, but one thing I'd need from you is to know what to name the icon, which you can find out by opening up your `grub.cfg` file and locating your distro's menu entry, so you'll have a line like
+
+        menuentry "Gentoo" --class gentoo --class os...
+
+    Basically I need to know the distro class name to know what to name the icon.
+
+4.  **Does it work with Grub 1/Legacy**
+
+    Sadly, no. Grub 1 only has support for background images.
+
+### Steam Big Picture Grub Theme TODO list
+
+- ~~Move Progress bar to above buttons, but centered. Remove border and glow, but give grey background. Gradient on fill as well.~~
+
+- ~~Change title to "Select OS" and center~~
+
+- Make text in list bigger
+
+- ~~Get colors and look more accurate.~~
+
+- Figure out how to get all menu items to be capitalized.
+
+- ~~Add bokeh dots to background~~
+
+#### One more thing
+
+You might noticed the GetProfileImage.sh.x and GetProfileImage.sh. The one with the .x extension is just the .sh file "compiled" with shc. The only thing different from them is that the .x file has an API key written into it.
+
+### Screenshots:
+
+**Old Version**
+![ScreenShot](http://i.imgur.com/T4pbHXT.png)
+
+**New Version**
+
+### 1600x1200  OLD (Static Placement Version)
+![ScreenShot](http://i.imgur.com/RbZttjy.png)
+
+### 1600x1200 NEW (Relative Placement Version)
+![ScreenShot](http://i.imgur.com/USD0JJP.png)
+
+### 1024x768
+![ScreenShot](http://i.imgur.com/bMxCQ4E.png)
+
+### 800x600
+![ScreenShot](http://i.imgur.com/HxX2EsO.png)
+
+### 640x480 - NOT RECOMMENDED!!
+![ScreenShot](http://i.imgur.com/l5aT9fE.png)
+
+

+ 182 - 0
Grub-Theme/ancien/install_old

@@ -0,0 +1,182 @@
+#! /bin/bash
+set -e
+
+# This script installs the GRUB2 theme in /boot/grub/themes/, /boot/grub2/themes/ or /grub/themes/
+# depending on the distribution.
+#
+# Copyright (C) 2011 Towheed Mohammed
+# who just started learning bash scripting, sed and regex's.
+#
+# This is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details at <http://www.gnu.org/licenses/>.
+
+# Set variables
+Theme_Name="SteamBP"			# The theme will be installed in a dir with this name. Avoid spaces.
+Theme_Definition_File="theme.txt"	# Filename of theme definition file.
+Theme_Resolution="any"			# The resolution the theme was designed to show best at, 640x480, 1024x768 etc,
+					# or "any" for any resolution (resolution independent).
+
+Inst_Dir=$(dirname $0)
+Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"	# Directories must be in this order.
+let Grub_Min_Version=198	# Do not change this.
+Grub_File="/etc/default/grub"
+Grub_Dir=
+mkConfig_File=
+
+# Check that the script is being run as root.
+if [[ $(id -u) != 0 ]]; then
+	echo "Please run this script with root privileges."
+	exit 0
+fi
+
+# Get GRUB's installation directory.
+for i in $Grub_Dist_Dirs; do
+	if [[ -d $i ]]; then
+		Grub_Dir=$i
+	fi
+done
+
+# Exit this script if we could not locate GRUB's installation directory.
+if [[ -z $Grub_Dir ]]; then
+	echo "Could not locate GRUB's installation directory."
+	exit 0
+fi
+
+# Exit the script if GRUB's version is < 1.98
+if [[ -f $(which grub2-install) ]]; then
+	Grub_Version_Long=$(grub2-install --version)
+elif [[ -f $(which grub-install) ]]; then
+	Grub_Version_Long=$(grub-install --version)
+else
+	echo 'Could not locate grub-install or grub2-install in your path.'
+	exit 0
+fi
+Grub_Version=$(echo $Grub_Version_Long | sed 's,[[:alpha:][:punct:][:blank:]],,g')
+if (( ${Grub_Version:0:3} < Grub_Min_Version )); then
+	echo "GRUB must be at least version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	echo "The installed version is ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	exit 0
+fi
+
+# Check that /etc/default/grub exists.
+if [[ ! -f $Grub_File ]]; then
+	echo "Could not find $Grub_File"
+	exit 0
+fi
+
+# Check that GRUB's mkconfig script file exists.
+mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
+(echo "GRUB's mkconfig script file was not found in your path." && exit 0)
+
+# Ask for desired resolution if set to "any"
+if [[ $Theme_Resolution = "any" ]]; then
+	echo ""
+	echo "Enter desired resolution in the form of 1024x768, 800x600, 1600x1200, etc."
+	echo "Also, only choose a resolution that is supported by your VESA BIOS Extensions"
+	echo "which can be found by installing the hwinfo package, and running hwinfo --framebuffer,"
+	echo "or by running vbeinfo at grub's command line. The outputs may vary. You may try a"
+	echo "custom resolution such as 1920x1080, but there's no guarantee it will work."
+	echo ""
+	echo -n "Enter desired resolution: "
+	read Theme_Resolution
+fi
+
+#Ask user if they want to display their Steam username and profile image
+if [[ -a "GetProfileImage.sh.x" ]]; then
+	echo ""
+	echo "Would you like to display your Steam profile picture and"
+	echo "username on grub?"
+	read Response
+	
+	if [[ $Response = yes || $Response = y ]]; then
+		cat themetemplate.txt > theme.txt
+		chmod +x GetProfileImage.sh.x		
+		./GetProfileImage.sh.x
+	else
+		cat themetemplate.txt > theme.txt
+	fi
+fi
+
+
+# Create theme directory.  If directory already exists, ask the user if they would like
+# to overwrite the contents with the new theme or create a new theme directory.
+Theme_Dir=$Grub_Dir/themes/$Theme_Name
+while [[ -d $Theme_Dir ]]; do
+	echo "Directory $Theme_Dir already exists!"
+	echo -n "Would you like to overwrite it's contents or create a new directory? [(o)verwrite (c)reate] "
+	read Response
+	case $Response in
+		c|create)
+			echo -n "Please enter a new name for the theme's directory: "
+			read Response
+			Theme_Dir=$Grub_Dir/themes/$Response;;
+		o|overwrite)
+			echo -n "This will delete all files in $Theme_Dir.  Are you sure? [(y)es (n)o] "
+			read Response
+			case $Response in
+				y|yes)
+					rm -r $Theme_Dir;;
+				*)
+					exit 0;;
+			esac;;
+		*)
+			exit 0;;	
+	esac
+done
+mkdir -p $Theme_Dir
+
+# Copy the theme's files to the theme's directory.
+for i in $Inst_Dir/*; do
+	cp -r $i $Theme_Dir/$(basename $i)
+done
+
+# Check whether an icons directory exists.  If icons are not included in this theme,
+# check if one exists in ..../themes/icons.  If it exists, ask the user if they would like to use it.
+if [[ ! -d $Theme_Dir/icons && -d $Grub_Dir/themes/icons ]]; then
+	echo "An icons directory was not included in this theme."
+	echo "However, one was found in $Grub_Dir/themes/icons containing these files:"
+	echo $(ls $Grub_Dir/themes/icons)
+	echo -n "Would you like to use these icons? [(y)es (n)o] "
+	read Response
+	case $Response in
+		y|yes)
+			ln -s $Grub_Dir/themes/icons $Theme_Dir/;;
+		*)
+			echo "This theme will not show any icons.";;
+	esac
+elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
+	echo "Could not find an icons directory.  This theme will not show any icons."
+fi
+
+# Change GRUB's resolution to match that of the theme.
+if [[ $Theme_Resolution != "any" ]]; then
+	i=$(sed -n 's,^#\?GRUB_GFXMODE=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_GFXMODE=$Theme_Resolution" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_GFXMODE=.*,GRUB_GFXMODE=$Theme_Resolution," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi
+fi
+
+# Ask the user if they would like to set the theme as their new theme.
+echo -n "Would you like to set this as your new theme? [(y)es (n)o] "
+read Response
+if [[ $Response = yes || $Response = y ]]; then
+	i=$(sed -n 's,^#\?GRUB_THEME=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_THEME=$Theme_Dir/$Theme_Definition_File" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_THEME=.*,GRUB_THEME=$Theme_Dir/$Theme_Definition_File," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi	
+	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Generate new grub.cfg
+fi
+exit 0

BIN
Grub-Theme/avatarBorder.png


BIN
Grub-Theme/background.png


BIN
Grub-Theme/btnEnter.png


BIN
Grub-Theme/btnNav.png


BIN
Grub-Theme/icons/Arch.png


BIN
Grub-Theme/icons/Fedora.png


BIN
Grub-Theme/icons/arch.png


BIN
Grub-Theme/icons/debian.png


BIN
Grub-Theme/icons/fedora.png


BIN
Grub-Theme/icons/fuduntu.png


BIN
Grub-Theme/icons/gentoo.png


BIN
Grub-Theme/icons/kubuntu.png


BIN
Grub-Theme/icons/linuxmint.png


BIN
Grub-Theme/icons/opensuse.png


BIN
Grub-Theme/icons/sabayon.png


BIN
Grub-Theme/icons/steamos.png


BIN
Grub-Theme/icons/submenu.png


BIN
Grub-Theme/icons/ubuntu.png


BIN
Grub-Theme/icons/windows.png


+ 211 - 0
Grub-Theme/install.sh

@@ -0,0 +1,211 @@
+#! /bin/bash
+set -e
+
+# This script installs the GRUB2 theme in /boot/grub/themes/, /boot/grub2/themes/ or /grub/themes/
+# depending on the distribution.
+#
+# Copyright (C) 2011 Towheed Mohammed
+# who just started learning bash scripting, sed and regex's.
+#
+# This is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This software is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details at <http://www.gnu.org/licenses/>.
+
+# Set variables
+Theme_Name="SteamBP"			# The theme will be installed in a dir with this name. Avoid spaces.
+Theme_Definition_File="theme.txt"	# Filename of theme definition file.
+Theme_Resolution="any"			# The resolution the theme was designed to show best at, 640x480, 1024x768 etc,
+					# or "any" for any resolution (resolution independent).
+
+Inst_Dir=$(dirname $0)
+Grub_Dist_Dirs="/grub /boot/grub /boot/grub2"	# Directories must be in this order.
+let Grub_Min_Version=198	# Do not change this.
+Grub_File="/etc/default/grub"
+Grub_Dir=
+mkConfig_File=
+
+# Check that the script is being run as root.
+if [[ $(id -u) != 0 ]]; then
+	# echo "Please run this script with root privileges."
+	echo "S'il vous plait, lancez ce script avec des privilèges root."
+	exit 0
+fi
+
+# Get GRUB's installation directory.
+for i in $Grub_Dist_Dirs; do
+	if [[ -d $i ]]; then
+		Grub_Dir=$i
+	fi
+done
+
+# Exit this script if we could not locate GRUB's installation directory.
+if [[ -z $Grub_Dir ]]; then
+	# echo "Could not locate GRUB's installation directory."
+	echo "Le répertoire d'installation de GRUB n'est pas présent."
+	exit 0
+fi
+
+# Exit the script if GRUB's version is < 1.98
+if [[ -f $(which grub2-install) ]]; then
+	Grub_Version_Long=$(grub2-install --version)
+elif [[ -f $(which grub-install) ]]; then
+	Grub_Version_Long=$(grub-install --version)
+else
+	# echo 'Could not locate grub-install or grub2-install in your path.'
+	echo 'grub-install ou grub2 install ne sont pas présents dans votre path.'
+	exit 0
+fi
+Grub_Version=$(echo $Grub_Version_Long | sed 's,[[:alpha:][:punct:][:blank:]],,g')
+if (( ${Grub_Version:0:3} < Grub_Min_Version )); then
+	# echo "GRUB must be at least version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	echo "GRUB doit être dans sa dernière version ${Grub_Min_Version:0:1}.${Grub_Min_Version:1:2}."
+	# echo "The installed version is ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	echo "La version installée est ${Grub_Version:0:1}.${Grub_Version:1:2}."
+	exit 0
+fi
+
+# Check that /etc/default/grub exists.
+if [[ ! -f $Grub_File ]]; then
+	# echo "Could not find $Grub_File"
+	echo "$Grub_File n'est pas présent."
+	exit 0
+fi
+
+# Check that GRUB's mkconfig script file exists.
+mkConfig_File=$(which ${Grub_Dir##*/}-mkconfig) || \
+# (echo "GRUB's mkconfig script file was not found in your path." && exit 0)
+(echo "Le script mkconfig de Grub n'est pas présent dans vote path." && exit 0)
+
+# Ask for desired resolution if set to "any"
+if [[ $Theme_Resolution = "any" ]]; then
+#	echo ""
+#	echo "Enter desired resolution in the form of 1024x768, 800x600, 1600x1200, etc."
+#	echo "Also, only choose a resolution that is supported by your VESA BIOS Extensions"
+#	echo "which can be found by installing the hwinfo package, and running hwinfo --framebuffer,"
+#	echo "or by running vbeinfo at grub's command line. The outputs may vary. You may try a"
+#	echo "custom resolution such as 1920x1080, but there's no guarantee it will work."
+#	echo ""
+#	echo -n "Enter desired resolution: "
+	echo "============================================================================================"
+	echo "Entrez la résolution désirée sous la forme : 1024x768, 800x600, 1600x1200, etc."
+	echo "Choisissez seulement une résolution supportée par votre Bios VESA"
+	echo "qui peut être trouvé en installant le paquet hwinfo et en exécutant hwinfo --framebuffer"
+	echo "ou en lançant vbeinfo dans la ligne de commande de Grub."
+	echo "Les sorties sont variables. Vous pouvez essayer une résolution personnalisé comme 1920x1080,"
+	echo "mais il n'y a pas de garantie que celle-ci fonctionne."
+	echo "============================================================================================"
+	echo -n "Entrez la résolution que vous désirez : "
+	read Theme_Resolution
+fi
+
+#Ask user if they want to display their Steam username and profile image
+if [[ -a "GetProfileImage.sh.x" ]]; then
+	echo ""
+	# echo "Would you like to display your Steam profile picture and"
+  echo "Je te conseille de répondre "n" à la question suivante (JP)"	
+	echo "Voulez-vous afficher votre image de profil Steam et"
+	# echo "username on grub?"
+	echo "votre nom d'utilisateur dans grub ? [y]es - [n]o"
+	read Response
+	
+	if [[ $Response = yes || $Response = y ]]; then
+		cat themetemplate.txt > theme.txt
+		chmod +x GetProfileImage.sh.x		
+		./GetProfileImage.sh.x
+	else
+		cat themetemplate.txt > theme.txt
+	fi
+fi
+
+
+# Create theme directory.  If directory already exists, ask the user if they would like
+# to overwrite the contents with the new theme or create a new theme directory.
+Theme_Dir=$Grub_Dir/themes/$Theme_Name
+while [[ -d $Theme_Dir ]]; do
+	# echo "Directory $Theme_Dir already exists!"
+	echo "Le répertoire $Theme_Dir existe déja !"
+	# echo -n "Would you like to overwrite it's contents or create a new directory? [(o)verwrite (c)reate] "
+	echo -n "Voulez-vous écraser le contenu de celui-ci ou créer un nouveau répertoire ? [(o)verwrite (c)reate] "
+	read Response
+	case $Response in
+		c|create)
+			# echo -n "Please enter a new name for the theme's directory: "
+			echo -n "Entrez un nouveau nom pour le répertoire du thème :"
+			read Response
+			Theme_Dir=$Grub_Dir/themes/$Response;;
+		o|overwrite)
+			# echo -n "This will delete all files in $Theme_Dir.  Are you sure? [(y)es (n)o] "
+			echo -n "Ceci va supprimer tous les fichiers dans $Theme_Dir. Etes-vous sur ? [(y)es (n)o] "
+			read Response
+			case $Response in
+				y|yes)
+					rm -r $Theme_Dir;;
+				*)
+					exit 0;;
+			esac;;
+		*)
+			exit 0;;	
+	esac
+done
+mkdir -p $Theme_Dir
+
+# Copy the theme's files to the theme's directory.
+for i in $Inst_Dir/*; do
+	cp -r $i $Theme_Dir/$(basename $i)
+done
+
+# Check whether an icons directory exists.  If icons are not included in this theme,
+# check if one exists in ..../themes/icons.  If it exists, ask the user if they would like to use it.
+if [[ ! -d $Theme_Dir/icons && -d $Grub_Dir/themes/icons ]]; then
+	# echo "An icons directory was not included in this theme."
+	echo "Il n'y a pas de répertoire d'icones dans ce thème."
+	# echo "However, one was found in $Grub_Dir/themes/icons containing these files:"
+	echo "Toutefois, on peut en trouver dans  $Grub_Dir/themes/icons qui contient ce type de fichier"
+	echo $(ls $Grub_Dir/themes/icons)
+	# echo -n "Would you like to use these icons? [(y)es (n)o] "
+	echo -n "Voulez-vous utiliser ces icones [(y)es (n)o] "
+	read Response
+	case $Response in
+		y|yes)
+			ln -s $Grub_Dir/themes/icons $Theme_Dir/;;
+		*)
+			# echo "This theme will not show any icons.";;
+			echo "Ce thème n'affiche pas d'icones.";;
+	esac
+elif [[ ! $Theme_Dir/icons && ! -d $Grub_Dir/themes/icons ]]; then
+	# echo "Could not find an icons directory.  This theme will not show any icons."
+	echo "Aucun répertoire d'iconnes n'a été trouvé. Ce thème ne peut afficher les icones."
+fi
+
+# Change GRUB's resolution to match that of the theme.
+if [[ $Theme_Resolution != "any" ]]; then
+	i=$(sed -n 's,^#\?GRUB_GFXMODE=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_GFXMODE=$Theme_Resolution" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_GFXMODE=.*,GRUB_GFXMODE=$Theme_Resolution," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi
+fi
+
+# Ask the user if they would like to set the theme as their new theme.
+# echo -n "Would you like to set this as your new theme? [(y)es (n)o] "
+echo -n "Voulez-vous définir ceci comme votre nouveau thème ? [(y)es (n)o] "
+read Response
+if [[ $Response = yes || $Response = y ]]; then
+	i=$(sed -n 's,^#\?GRUB_THEME=,&,p' $Grub_File)
+	if [[ -z $i ]]; then
+		echo -e "\nGRUB_THEME=$Theme_Dir/$Theme_Definition_File" >>$Grub_File
+	else
+		sed "s,^#\?GRUB_THEME=.*,GRUB_THEME=$Theme_Dir/$Theme_Definition_File," <$Grub_File >$Grub_File.~
+		mv $Grub_File.~ $Grub_File
+	fi	
+	$($mkConfig_File -o $Grub_Dir/grub.cfg)	# Generate new grub.cfg
+fi
+exit 0

BIN
Grub-Theme/menu_bkg_c.png


BIN
Grub-Theme/menu_bkg_e.png


BIN
Grub-Theme/menu_bkg_n.png


BIN
Grub-Theme/menu_bkg_ne.png


BIN
Grub-Theme/menu_bkg_nw.png


BIN
Grub-Theme/menu_bkg_s.png


BIN
Grub-Theme/menu_bkg_se.png


BIN
Grub-Theme/menu_bkg_sw.png


BIN
Grub-Theme/menu_bkg_w.png


BIN
Grub-Theme/progress_bar_c.png


BIN
Grub-Theme/progress_bar_e.png


BIN
Grub-Theme/progress_bar_w.png


BIN
Grub-Theme/progress_highlight_c.png


BIN
Grub-Theme/select_bkg_c.png


BIN
Grub-Theme/select_bkg_e.png


BIN
Grub-Theme/select_bkg_w.png


BIN
Grub-Theme/term_bkg_c.png


BIN
Grub-Theme/term_bkg_e.png


BIN
Grub-Theme/term_bkg_n.png


BIN
Grub-Theme/term_bkg_ne.png


BIN
Grub-Theme/term_bkg_nw.png


BIN
Grub-Theme/term_bkg_s.png


BIN
Grub-Theme/term_bkg_se.png


BIN
Grub-Theme/term_bkg_sw.png


BIN
Grub-Theme/term_bkg_w.png


+ 80 - 0
Grub-Theme/theme.txt

@@ -0,0 +1,80 @@
+# GRUB2 gfxmenu Steam Big Picture theme.
+# Designed for 1600x1200 (so you can stretch it to 1920x1200 just fine). Might work for 1920x1080. Works for 800x600 and 1024x768 as well, but things get squeezed.
+# Created by Legendary Bibo
+
+# Global Property
+title-text: ""
+title-font: "DejaVuSans 20"
+title-color: "#333333"
+message-font: "Fixed Regular 13"
+message-color: "#333333"
+message-bg-color: "#f2f2f2"
+desktop-image: "background.png"
+desktop-color: "#000000"
+terminal-box: "term_bkg_*.png"
+terminal-font: "Fixed Regular 13"
+
+
+
+# Show the boot menu
++ boot_menu {
+		left = 50%-417
+		width = 834
+		top = 30%
+		height = 50%+34
+		item_font = "DejaVuSans 20"
+		selected_item_font = "DejaVuSans 20"
+		item_color = "#6d7a82"
+		selected_item_color = "#2e373e"
+		item_height = 60
+		item_padding = 25
+		item_spacing = 10
+		icon_width = 48
+		icon_height = 48
+		item_icon_space = 20
+		selected_item_pixmap_style= "select_bkg_*.png"
+		menu_pixmap_style = "menu_bkg_*.png"
+		scrollbar = false
+		scrollbar_width = 17
+		scrollbar_thumb = "sb_thumb_*.png"
+		scrollbar_frame = "sb_frame_*.png"
+}
+
++ image {
+		top = 24%
+		left = 5%+10
+		width = 254
+		height = 43
+		file = "title.png"
+}
+
++ image {
+		top = 90%
+		left = 50%-132
+		width = 264
+		height = 69
+		file = "btnEnter.png"
+}
+
++ image {
+		top = 90%
+		left = 100%-248
+		width = 188
+		height = 69
+		file = "btnNav.png"
+}
+
+# Show a styled horizontal progress bar
++ progress_bar {
+		id = "__timeout__"
+		left = 50%-389
+		width = 778
+		top = 84%+7
+		height = 31
+		show_text = false
+		font = "DejaVuSans 20"
+		text_color = "255, 255, 255"
+		text = ""
+		bar_style = "progress_bar_*.png"
+		highlight_style = "progress_highlight_*.png"
+}

+ 80 - 0
Grub-Theme/themetemplate.txt

@@ -0,0 +1,80 @@
+# GRUB2 gfxmenu Steam Big Picture theme.
+# Designed for 1600x1200 (so you can stretch it to 1920x1200 just fine). Might work for 1920x1080. Works for 800x600 and 1024x768 as well, but things get squeezed.
+# Created by Legendary Bibo
+
+# Global Property
+title-text: ""
+title-font: "DejaVuSans 20"
+title-color: "#333333"
+message-font: "Fixed Regular 13"
+message-color: "#333333"
+message-bg-color: "#f2f2f2"
+desktop-image: "background.png"
+desktop-color: "#000000"
+terminal-box: "term_bkg_*.png"
+terminal-font: "Fixed Regular 13"
+
+
+
+# Show the boot menu
++ boot_menu {
+		left = 50%-417
+		width = 834
+		top = 30%
+		height = 50%+34
+		item_font = "DejaVuSans 20"
+		selected_item_font = "DejaVuSans 20"
+		item_color = "#6d7a82"
+		selected_item_color = "#2e373e"
+		item_height = 60
+		item_padding = 25
+		item_spacing = 10
+		icon_width = 48
+		icon_height = 48
+		item_icon_space = 20
+		selected_item_pixmap_style= "select_bkg_*.png"
+		menu_pixmap_style = "menu_bkg_*.png"
+		scrollbar = false
+		scrollbar_width = 17
+		scrollbar_thumb = "sb_thumb_*.png"
+		scrollbar_frame = "sb_frame_*.png"
+}
+
++ image {
+		top = 24%
+		left = 5%+10
+		width = 254
+		height = 43
+		file = "title.png"
+}
+
++ image {
+		top = 90%
+		left = 50%-132
+		width = 264
+		height = 69
+		file = "btnEnter.png"
+}
+
++ image {
+		top = 90%
+		left = 100%-248
+		width = 188
+		height = 69
+		file = "btnNav.png"
+}
+
+# Show a styled horizontal progress bar
++ progress_bar {
+		id = "__timeout__"
+		left = 50%-389
+		width = 778
+		top = 84%+7
+		height = 31
+		show_text = false
+		font = "DejaVuSans 20"
+		text_color = "255, 255, 255"
+		text = ""
+		bar_style = "progress_bar_*.png"
+		highlight_style = "progress_highlight_*.png"
+}

BIN
Grub-Theme/title.png


+ 20 - 0
astuces/bureau/skype

@@ -0,0 +1,20 @@
+# En cas de mon fonctionnement de la caméra avec Skype
+
+Nous sommes sous Linux Mint 17
+Aller dans
+	Système
+		Préférences
+			Menu principal
+
+Dans la colonne de gauche, cliquer sur :
+	Internet
+		Nouvel élément
+
+Une fenêtre s'ouvre
+	Nom --> Skype2
+	commande : env LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/bin/skype
+	Icône : Mettre celle de Skype (dans répertoire /usr/share)
+
+Valider
+
+PS : Masquer l'icône de Skype

+ 27 - 0
astuces/bureau/thunderbird

@@ -0,0 +1,27 @@
+# Si la syncro des carnets d'adresse et agenda se bloquent.
+
+network.cookie.same-site.enabled
+
+Passer la valeur à false
+
+# Si Lightning disparait lors d'un mise à jour :
+
+Cette procédure ne détruit pas les données de calendrier (testé avec succès).
+    Ouvrez Thunderbird.
+    Afficher le menu principal puis Préférences ou Options.
+    Afficher l’onglet « Avancé ».
+    Cliquez sur « éditeur de configuration ».
+    Taper dans la barre de recherche « extensions.installedDistroAddon.e2fda1a4-762b-4020-b5ad-a41df1933103 »
+    Faire un clique droit sur la valeur puis choisissez l’option « reset ».
+    Fermer l’éditeur de configuration.
+    Redémarrer Thunderbird.
+    Lightning devrait faire son retour.
+
+Lightning en FR (béta) disponible en xpi
+J’ai testé Lightning avec Sogo (cf premier commentaire) sur plusieurs machines et aucun soucis (Linux only).
+
+https://ftp.mozilla.org/pub/calendar/lightning/candidates/6.2b6-candidates/build1/linux-x86_64/
+
+Et pour obtenir la dernière version stable de Lightning compatible avec Thunderbird 60.xx,
+une installation de xul-ext-lightning après avoir supprimé la version béta ;)
+

+ 3 - 0
astuces/chromium/chromium-fr

@@ -0,0 +1,3 @@
+# Passer Chromium en français
+
+apt-get install chromium-browser-l10n

+ 3 - 0
astuces/git/readthedoc

@@ -0,0 +1,3 @@
+# Formater le texte de git hub
+
+readthedoc

+ 47 - 0
astuces/maj_système/masquer_partition

@@ -0,0 +1,47 @@
+# --------------------------------------------------
+
+Comment cacher une partition NTFS à partir de ubuntu
+
+# --------------------------------------------------
+
+D'abord, vous devez savoir quel disque ou partitions vous voulez cacher. De ce que j'ai observé, Nautilus devra présenter ces périphériques par label . Si elle ne possède pas de label, le dispositif sera associée à la taille du disque / partition.
+
+
+On va demander la liste des partitions par leur label
+# ls -l /dev/disk/by-label
+total 0
+lrwxrwxrwx 1 root root 10 avril 19 23:28 io -> ../../sda9
+lrwxrwxrwx 1 root root 11 avril 19 23:28 io-save -> ../../sda13
+lrwxrwxrwx 1 root root 11 avril 19 23:28 lolo -> ../../sda11
+lrwxrwxrwx 1 root root 11 avril 19 23:28 lolo-save -> ../../sda15
+lrwxrwxrwx 1 root root 11 avril 19 23:28 vito -> ../../sda10
+lrwxrwxrwx 1 root root 11 avril 19 23:28 vito-save -> ../../sda14
+lrwxrwxrwx 1 root root 11 avril 19 23:28 zac -> ../../sda12
+lrwxrwxrwx 1 root root 11 avril 19 23:28 zac-save -> ../../sda16
+
+Les partitions que l'on veut masquer dans cet exemple son les partitions qui se terminent par -save :
+
+io-save -> ../../sda13
+vito-save -> ../../sda14
+lolo-save -> ../../sda15
+zac-save -> ../../sda16
+
+Il faut maintenant créer un fichier que nous appelerons :
+# touch 99-hide-disks.rules
+
+puis il faut le remplir avec un contenu de ce type :
+# vim 99-hide-disks.rules
+
+KERNEL=="sda13", ENV{UDISKS_PRESENTATION_HIDE}="1"
+KERNEL=="sda14", ENV{UDISKS_PRESENTATION_HIDE}="1"
+KERNEL=="sda15", ENV{UDISKS_PRESENTATION_HIDE}="1"
+KERNEL=="sda16", ENV{UDISKS_PRESENTATION_HIDE}="1"
+
+Lorsque le fichier est prêt, le copier à l'emplacement adhéquat
+# cp 99-hide-disks.rules  /etc/udev/rules.d/
+
+Pour appliquer les changements immédiatement il faut exécuter la commande :
+
+# udevadm trigger
+
+

+ 46 - 0
astuces/maj_système/no_support_fr_FR_utf8

@@ -0,0 +1,46 @@
+# Si lors d'une mise à jour du système vous obtenez le message :
+"Warning: No support for locale: fr_FR.utf8"
+# suivez la procédure ci-dessous.
+
+
+L'avertissement n'est pas critique, mais si cela vous dérange ou provoque des troubles, essayez ce qui suit dans une fenêtre de terminal:
+
+Exécuter les 2 commandes suivantes :
+
+# locale-gen --purge --no-archive 
+
+Generating locales...
+  de_AT.UTF-8... done
+  de_BE.UTF-8... done
+  de_CH.UTF-8... done
+  de_DE.UTF-8... done
+  de_LI.UTF-8... done
+  de_LU.UTF-8... done
+  en_AG.UTF-8... done
+  en_AU.UTF-8... done
+  en_BW.UTF-8... done
+  en_CA.UTF-8... done
+  en_DK.UTF-8... done
+  en_GB.UTF-8... done
+  en_HK.UTF-8... done
+  en_IE.UTF-8... done
+  en_IN.UTF-8... done
+  en_NG.UTF-8... done
+  en_NZ.UTF-8... done
+  en_PH.UTF-8... done
+  en_SG.UTF-8... done
+  en_US.UTF-8... done
+  en_ZA.UTF-8... done
+  en_ZM.UTF-8... done
+  en_ZW.UTF-8... done
+  fr_BE.UTF-8... done
+  fr_CA.UTF-8... done
+  fr_CH.UTF-8... done
+  fr_FR.UTF-8... done
+  fr_LU.UTF-8... done
+Generation complete.
+
+# update-initramfs -u
+update-initramfs: Generating /boot/initrd.img-3.xx.x-xx-generic
+
+"A la fin de celle-ci vous ne devez plus voir apparaitre l'erreur"

+ 12 - 0
astuces/maj_système/reactiver_son

@@ -0,0 +1,12 @@
+# Réinstaller linux-audio et ALSA
+Parfois le son peut fonctionner mais peut disparaître pour une raison ou pour
+une autre (bidouillage).
+La méthode plus simple et rapide est de désinstaller et réinstaller correctement les paquets problématiques:
+
+Désinstallation:
+# apt-get --purge remove linux-sound-base alsa-base alsa-utils
+
+Réinstallation:
+# apt-get install linux-sound-base alsa-base alsa-utils
+
+Redémarrez puis essayez à nouveau.

+ 23 - 0
astuces/maj_système/renommer_cle

@@ -0,0 +1,23 @@
+# Changer le nom d'un clé USB #
+
+Souvent il est pratique d'avoir un nom plus simple pour une clé USB par exemple
+
+Ma clé se nomme PKBACK# 001
+L'espace dans le nom peut poser problème dans un script
+
+Renommer
+
+Installer mtools :
+# apt-get install mtools
+
+Vérifier le nom de la clé :
+# mlabel -i /dev/sdb1 -s ::
+Volume label is PKBACK# 001
+
+Donner à la clé le nom de "mykey" 
+# mlabel -i /dev/sdb1 ::mykey
+
+Le nom se transforme en MYKEY (en majuscules)
+
+La modification s'applique instantanément
+

+ 275 - 0
astuces/maj_système/supp_windows

@@ -0,0 +1,275 @@
+# -------------------------------------------------------------------------
+'Supprimer windows s'il a été installé en premier et récupérer la partition'
+# --------------------------------------------------------------------------
+
+
+Tout d'abord lister toutes les partitions présentes
+
+[root@gaston:/etc] # blkid
+/dev/sda1: LABEL="Nouveau nom" UUID="C58D1F19C2D7AF31" TYPE="ntfs" 
+/dev/sda5: UUID="ac02285e-3816-459e-b8bb-4802c5608999" TYPE="ext2" 
+/dev/sda6: UUID="ccf92d08-4f5f-440a-b7d5-3b9b6746fd55" TYPE="ext4" 
+/dev/sda7: UUID="2a177a54-50f1-406c-93da-c1480329783d" TYPE="swap" 
+/dev/sda8: UUID="e79520f6-53d6-4f65-b428-6bb5bca120ed" TYPE="ext4" 
+/dev/sda9: LABEL="io" UUID="1808BBC63E1B947F" TYPE="ntfs" 
+/dev/sda10: LABEL="vito" UUID="61007F501BFEE058" TYPE="ntfs" 
+/dev/sda11: LABEL="lolo" UUID="6B6B90257B9C70CA" TYPE="ntfs" 
+/dev/sda12: LABEL="zac" UUID="5D5B1AD50A903D59" TYPE="ntfs" 
+/dev/sda13: LABEL="io-save" UUID="44A3FE432D60A8F3" TYPE="ntfs" 
+/dev/sda14: LABEL="vito-save" UUID="776363D45C37A342" TYPE="ntfs" 
+/dev/sda15: LABEL="lolo-save" UUID="18C7DBE300C60E04" TYPE="ntfs" 
+/dev/sda16: LABEL="zac-save" UUID="3B3F4978171AD8AE" TYPE="ntfs" 
+
+Nous savons que Windows a été installé sur la partition 1
+Il s'agit donc de /dev/sda1 qui porte le label : Nouveau nom
+
+=================================================================
+
+'Il faut vérifier si la partition est montée'
+
+[root@gaston:/etc] # mount
+/dev/sda6 on / type ext4 (rw,errors=remount-ro)
+proc on /proc type proc (rw,noexec,nosuid,nodev)
+sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
+none on /sys/fs/fuse/connections type fusectl (rw)
+none on /sys/kernel/debug type debugfs (rw)
+none on /sys/kernel/security type securityfs (rw)
+udev on /dev type devtmpfs (rw,mode=0755)
+devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620)
+tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755)
+none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880)
+none on /run/shm type tmpfs (rw,nosuid,nodev)
+/dev/sda5 on /boot type ext2 (rw)
+/dev/sda8 on /home type ext4 (rw)
+binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,noexec,nosuid,nodev)
+gvfs-fuse-daemon on /home/jpantinoux/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=jpantinoux)
+
+==================================================================
+
+'Puisque la partition /dev/sda1 n'est pas montée on peut donc la supprimer'
+
+[root@gaston:/etc] # fdisk /dev/sda
+
+Commande (m pour l'aide): p
+
+Disk /dev/sda: 80.0 GB, 80000000000 bytes
+255 têtes, 63 secteurs/piste, 9726 cylindres, total 156250000 secteurs
+Unités = secteurs de 1 * 512 = 512 octets
+Taille de secteur (logique / physique) : 512 octets / 512 octets
+taille d'E/S (minimale / optimale) : 512 octets / 512 octets
+Identifiant de disque : 0x4292e557
+
+Périphérique Amorce  Début        Fin      Blocs     Id  Système
+/dev/sda1   *        2048    18751487     9374720    7  HPFS/NTFS/exFAT
+/dev/sda2        18753534    74276863    27761665    5  Étendue
+/dev/sda5        18753536    18958335      102400   83  Linux
+/dev/sda6        18960384    39440383    10240000   83  Linux
+/dev/sda7        39442432    47634431     4096000   82  partition d'échange Linux / Solaris
+/dev/sda8        47636480    57876479     5120000   83  Linux
+/dev/sda9        57878528    59926527     1024000    7  HPFS/NTFS/exFAT
+/dev/sda10       59928576    61976575     1024000    7  HPFS/NTFS/exFAT
+/dev/sda11       61978624    64026623     1024000    7  HPFS/NTFS/exFAT
+/dev/sda12       64028672    66076671     1024000    7  HPFS/NTFS/exFAT
+/dev/sda13       66078720    68126719     1024000    7  HPFS/NTFS/exFAT
+/dev/sda14       68128768    70176767     1024000    7  HPFS/NTFS/exFAT
+/dev/sda15       70178816    72226815     1024000    7  HPFS/NTFS/exFAT
+/dev/sda16       72228864    74276863     1024000    7  HPFS/NTFS/exFAT
+
+Commande (m pour l'aide): d
+Numéro de partition (1-16): 1
+
+========================================================================
+
+'On vérifier que la partition n'apparait plus'
+
+Commande (m pour l'aide): p
+
+Disk /dev/sda: 80.0 GB, 80000000000 bytes
+255 têtes, 63 secteurs/piste, 9726 cylindres, total 156250000 secteurs
+Unités = secteurs de 1 * 512 = 512 octets
+Taille de secteur (logique / physique) : 512 octets / 512 octets
+taille d'E/S (minimale / optimale) : 512 octets / 512 octets
+Identifiant de disque : 0x4292e557
+
+Périphérique Amorce  Début        Fin      Blocs     Id  Système
+/dev/sda2        18753534    74276863    27761665    5  Étendue
+/dev/sda5        18753536    18958335      102400   83  Linux
+/dev/sda6        18960384    39440383    10240000   83  Linux
+/dev/sda7        39442432    47634431     4096000   82  partition d'échange Linux / Solaris
+/dev/sda8        47636480    57876479     5120000   83  Linux
+/dev/sda9        57878528    59926527     1024000    7  HPFS/NTFS/exFAT
+/dev/sda10       59928576    61976575     1024000    7  HPFS/NTFS/exFAT
+/dev/sda11       61978624    64026623     1024000    7  HPFS/NTFS/exFAT
+/dev/sda12       64028672    66076671     1024000    7  HPFS/NTFS/exFAT
+/dev/sda13       66078720    68126719     1024000    7  HPFS/NTFS/exFAT
+/dev/sda14       68128768    70176767     1024000    7  HPFS/NTFS/exFAT
+/dev/sda15       70178816    72226815     1024000    7  HPFS/NTFS/exFAT
+/dev/sda16       72228864    74276863     1024000    7  HPFS/NTFS/exFAT
+
+========================================================================
+
+'On recrée une partition ext4'
+
+Commande (m pour l'aide): n
+Partition type:
+   p   primary (0 primary, 1 extended, 3 free)
+   l   logical (numbered from 5)
+Select (default p): p
+Numéro de partition (1-4, par défaut 1): 1
+Premier secteur (2048-156249999, par défaut 2048): 
+Utilisation de la valeur par défaut 2048
+Dernier secteur, +secteurs or +taille{K,M,G} (2048-18753533, par défaut 18753533): 
+Utilisation de la valeur par défaut 18753533
+
+Commande (m pour l'aide): p
+
+Disk /dev/sda: 80.0 GB, 80000000000 bytes
+255 têtes, 63 secteurs/piste, 9726 cylindres, total 156250000 secteurs
+Unités = secteurs de 1 * 512 = 512 octets
+Taille de secteur (logique / physique) : 512 octets / 512 octets
+taille d'E/S (minimale / optimale) : 512 octets / 512 octets
+Identifiant de disque : 0x4292e557
+
+Périphérique Amorce  Début        Fin      Blocs     Id  Système
+/dev/sda1            2048    18753533     9375743   83  Linux
+/dev/sda2        18753534    74276863    27761665    5  Étendue
+/dev/sda5        18753536    18958335      102400   83  Linux
+/dev/sda6        18960384    39440383    10240000   83  Linux
+/dev/sda7        39442432    47634431     4096000   82  partition d'échange Linux / Solaris
+/dev/sda8        47636480    57876479     5120000   83  Linux
+/dev/sda9        57878528    59926527     1024000    7  HPFS/NTFS/exFAT
+/dev/sda10       59928576    61976575     1024000    7  HPFS/NTFS/exFAT
+/dev/sda11       61978624    64026623     1024000    7  HPFS/NTFS/exFAT
+/dev/sda12       64028672    66076671     1024000    7  HPFS/NTFS/exFAT
+/dev/sda13       66078720    68126719     1024000    7  HPFS/NTFS/exFAT
+/dev/sda14       68128768    70176767     1024000    7  HPFS/NTFS/exFAT
+/dev/sda15       70178816    72226815     1024000    7  HPFS/NTFS/exFAT
+/dev/sda16       72228864    74276863     1024000    7  HPFS/NTFS/exFAT
+
+
+==========================================================================
+'On enregistre les modifications'
+
+Commande (m pour l'aide): w      
+La table de partitions a été altérée !
+
+Appel de ioctl() pour relire la table de partitions.
+
+Attention : la table de partitions n'a pas pu être relue : erreur 16 : Périphérique ou ressource occupé.
+Le noyau continue à utiliser l'ancienne table. La nouvelle sera utilisée
+lors du prochain démarrage ou après avoir exécuté partprobe(8) ou kpartx(8).
+Synchronisation des disques.
+
+========================================================================
+'On exécute cette commande pour que le système prenne en compte la modification'
+
+[root@gaston:/etc] # partprobe
+
+=======================================================================
+
+'On crée un format de fichier sur la partition'
+
+[root@gaston:/etc] # mkfs -t ext4 /dev/sda1
+mke2fs 1.42 (29-Nov-2011)
+Étiquette de système de fichiers=
+Type de système d'exploitation : Linux
+Taille de bloc=4096 (log=2)
+Taille de fragment=4096 (log=2)
+« Stride » = 0 blocs, « Stripe width » = 0 blocs
+586368 i-noeuds, 2343935 blocs
+117196 blocs (5.00%) réservés pour le super utilisateur
+Premier bloc de données=0
+Nombre maximum de blocs du système de fichiers=2403336192
+72 groupes de blocs
+32768 blocs par groupe, 32768 fragments par groupe
+8144 i-noeuds par groupe
+Superblocs de secours stockés sur les blocs : 
+	32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632
+
+Allocation des tables de groupe : complété                        
+Écriture des tables d'i-noeuds : complété                        
+Création du journal (32768 blocs) : complété
+Écriture des superblocs et de l'information de comptabilité du système de
+fichiers : complété
+
+========================================================================
+'On crée un point de montage dans le /home de l'utilisateur'
+
+[root@gaston:/etc] # cd /home/jpantinoux/
+[root@gaston:/home/jpantinoux] # mkdir rangement
+
+'On monte la partition sur la point de montage nouvellement créé'
+
+
+[root@gaston:/home/jpantinoux] # mount /dev/sda1 /home/jpantinoux/rangement/
+
+========================================================================
+
+'La commande mount nous montre bien que la partition est utilisée'
+
+[root@gaston:/home/jpantinoux] # mount
+
+/dev/sda6 on / type ext4 (rw,errors=remount-ro)
+proc on /proc type proc (rw,noexec,nosuid,nodev)
+sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
+none on /sys/fs/fuse/connections type fusectl (rw)
+none on /sys/kernel/debug type debugfs (rw)
+none on /sys/kernel/security type securityfs (rw)
+udev on /dev type devtmpfs (rw,mode=0755)
+devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=0620)
+tmpfs on /run type tmpfs (rw,noexec,nosuid,size=10%,mode=0755)
+none on /run/lock type tmpfs (rw,noexec,nosuid,nodev,size=5242880)
+none on /run/shm type tmpfs (rw,nosuid,nodev)
+/dev/sda5 on /boot type ext2 (rw)
+/dev/sda8 on /home type ext4 (rw)
+binfmt_misc on /proc/sys/fs/binfmt_misc type binfmt_misc (rw,noexec,nosuid,nodev)
+gvfs-fuse-daemon on /home/jpantinoux/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=jpantinoux)
+/dev/sda1 on /home/jpantinoux/rangement type ext4 (rw)
+
+==================================================================================
+'On vérifie que l'UUID de partition à bien été modidiée.
+
+
+[root@gaston:/home/jpantinoux] # ls -l /dev/disk/by-uuid/
+total 0
+lrwxrwxrwx 1 root root 10 avril 17 22:48 1808BBC63E1B947F -> ../../sda9
+lrwxrwxrwx 1 root root 11 avril 17 22:48 18C7DBE300C60E04 -> ../../sda15
+lrwxrwxrwx 1 root root 10 avril 17 22:39 2a177a54-50f1-406c-93da-c1480329783d -> ../../sda7
+lrwxrwxrwx 1 root root 11 avril 17 22:48 3B3F4978171AD8AE -> ../../sda16
+lrwxrwxrwx 1 root root 11 avril 17 22:48 44A3FE432D60A8F3 -> ../../sda13
+lrwxrwxrwx 1 root root 10 avril 17 22:48 4e072039-0f6b-499c-b480-15deacc8ce9f -> ../../sda1
+lrwxrwxrwx 1 root root 11 avril 17 22:48 5D5B1AD50A903D59 -> ../../sda12
+lrwxrwxrwx 1 root root 11 avril 17 22:48 61007F501BFEE058 -> ../../sda10
+lrwxrwxrwx 1 root root 11 avril 17 22:48 6B6B90257B9C70CA -> ../../sda11
+lrwxrwxrwx 1 root root 11 avril 17 22:48 776363D45C37A342 -> ../../sda14
+lrwxrwxrwx 1 root root 10 avril 17 22:39 ac02285e-3816-459e-b8bb-4802c5608999 -> ../../sda5
+lrwxrwxrwx 1 root root 10 avril 17 22:39 ccf92d08-4f5f-440a-b7d5-3b9b6746fd55 -> ../../sda6
+lrwxrwxrwx 1 root root 10 avril 17 22:39 e79520f6-53d6-4f65-b428-6bb5bca120ed -> ../../sda8
+[root@gaston:/home/jpantinoux] # 
+
+=================================================================================
+
+'Pour que la partition soit montée à chaque démarrage il faut l'inclure dans le fichier fstab
+
+# /etc/fstab: static file system information.
+#
+# Use 'blkid' to print the universally unique identifier for a
+# device; this may be used with UUID= as a more robust way to name devices
+# that works even if disks are added and removed. See fstab(5).
+#
+# <file system> <mount point>   <type>  <options>       <dump>  <pass>
+proc            /proc           proc    nodev,noexec,nosuid 0       0
+# / was on /dev/sda6 during installation
+UUID=ccf92d08-4f5f-440a-b7d5-3b9b6746fd55 /               ext4    errors=remount-ro 0       1
+# /boot was on /dev/sda5 during installation
+UUID=ac02285e-3816-459e-b8bb-4802c5608999 /boot           ext2    defaults        0       2
+# /home was on /dev/sda8 during installation
+UUID=e79520f6-53d6-4f65-b428-6bb5bca120ed /home           ext4    defaults        0       2
+# swap was on /dev/sda7 during installation
+UUID=2a177a54-50f1-406c-93da-c1480329783d none            swap    sw              0       0
+/dev/fd0        /media/floppy0  auto    rw,user,noauto,exec,utf8 0       0
+# /../../rangement on /dev/sda1 lors de la modification
+UUID=4e072039-0f6b-499c-b480-15deacc8ce9f /home/jpantinoux/rangement    ext4    rw,user,noexec,nosuid,nodev  0  0
+
+
+# --- Fin ---

+ 220 - 0
astuces/modif-partition/sfdisk

@@ -0,0 +1,220 @@
+#===============================
+# Récupération de mon disque dur 
+#===============================
+
+A la suite d'une erreur de manipulation sur le 2ème disque de mon poste de travail :
+J'ai, si je me souviens, bien modifié la taille de la partition sans modifier la taille du système de fichier.
+
+Ex : La taille de la partition était de 904 Go et la taille du système de fichier également.
+
+Après la modification la partition était de 850 Go et le système de fichier était toujours de 904 Go.
+
+Les données sont toujours présentes mais impossible d'y accéder.
+
+La solution vient de cette source :
+https://ubuntuforums.org/showthread.php?t=1513562
+
+Dans mon cas le disque principal /dev/sda fonctionne avec mon système dessus.
+Je peux donc travailler à partir de ce disque pour récupérer mon disque /dev/sdb.
+Si vous n'avez pas de disque fonctionnel il faudra démarrer sur un live-cd.
+
+#======================================
+# Récupérer des informations avec dmesg
+#======================================
+
+Se connecter en root
+
+
+[root@blueking:/mnt] # dmesg | tail
+[ 7673.680012] EXT4-fs (sdb1): bad geometry: block count 236288086 exceeds size of device (222822400 blocks)
+
+On comprend qu'il y a quelque chose qui ne va pas :
+bad geometry: le nombre de blocs 236288086 et supérieur à la taille de la partition (222822400)
+
+# ===========================================================
+# Pas à pas en suivant les étapes de la source cité plus haut
+# ===========================================================
+
+TTRE
+Ext4 Le disque ne monte plus après redimentionnement d'une partition
+
+Problème résolu en suivant les étapes suivantes
+
+#========================
+# Backup du mbr avec dd :
+#========================
+# Code:
+[root@blueking:/mnt] # dd if=/dev/sdb of=/mnt/usb bs=512 count=1
+
+#====================================
+# Calcul de la taille de la partition
+#====================================
+
+La sortie de la commande "dmesg" montre que le système de fichier fait 1890304688 secteur de taille.
+Ceci est calculé en multiplian la valeur après "block count" par 8 pour convertit en secteurs.
+236288086 x 8 = 1890304688
+Sortie de dmesg:
+# Code:
+
+[root@blueking:/mnt] # dmesg | tail
+[ 7673.680012] EXT4-fs (sdb1): bad geometry: block count 236288086 exceeds size of device (222822400 blocks)
+
+
+#=============================
+# On peut commancer à réparer.
+#=============================
+
+On vas créer une sauvegarde de la table de partition avec sfdisk:
+# Code:
+
+[root@blueking:/mnt] # sfdisk -d /dev/sdb > PT.txt
+
+Créer une copie de PT.txt au cas ou les étapes suivantes ne fonctionneraient pas.
+PT-old.txt
+Editer PT.txt
+Sur la ligne qui se réfère à /dev/sdb1, il faut la remplacer par celle-ci :
+# vim PT.txt
+---
+label: dos
+label-id: 0x000b07e9
+device: /dev/sdb
+unit: sectors
+
+/dev/sdb1 : start=        2048, size=  1890304688, type=83, bootable
+---
+
+La valeur de "size=" a été changé à partir du calcul que nous avons fait avec la valeur récupéré par la commande "dmesg" par ext4
+
+#=================================
+# Modifier la table des partitions
+#=================================
+
+Maintenenant avec le fichier "PT.txt" corrigé, la table des partitions pourra être changée par les nouvelles valeurs.
+# Code:
+
+[root@blueking:/mnt] # sfdisk -f /dev/sdb -O PT.save < PT.txt
+
+#===========================================
+# Créer un répertoire pour tester le montage
+#===========================================
+
+Créer un répertoir où monter la partition
+# Code:
+
+[root@blueking:/mnt] # mdkdir /mnt/sdb1
+
+#===============================
+# Monter proprement la partition
+#===============================
+
+Après ceci, /dev/sdb1 sera monté proprement avec :
+# Code:
+
+[root@blueking:/mnt] # mount -o ro /dev/sdb1 /mnt/sdb1
+
+
+
+Le système de fichier est effectué sans erreurs, aucune donnée n'est perdue et le système de fichier est relancé proprement.
+Merci beaucoup à thunes3, qui m'a accompagné pour régler ce problème par IRC.
+
+
+
+#========================
+# Retour de la commande : 
+#========================
+
+[root@blueking:/mnt] # sfdisk -f /dev/sdb -O PT.save < PT.txt
+Vérification qu'aucun autre n'utilise le disque en ce moment OK
+
+Fichiers de sauvegarde :
+         MBR (index     0, taille   512) : PT.save-sdb-0x00000000.bak
+
+Disque /dev/sdb : 931,5 GiB, 1000203804160 octets, 1953523055 secteurs
+Unités : secteur de 1 × 512 = 512 octets
+Taille de secteur (logique / physique) : 512 octets / 512 octets
+taille d'E/S (minimale / optimale) : 512 octets / 512 octets
+Type d'étiquette de disque : dos
+Identifiant de disque : 0x000b07e9
+
+Situation précédente :
+
+Périphérique Amorçage Début        Fin   Secteurs Taille Id Type
+/dev/sdb1    *         2048 1782581247 1782579200   850G 83 Linux
+
+>>> Script d’en-tête accepté.
+>>> Script d’en-tête accepté.
+>>> Script d’en-tête accepté.
+>>> Script d’en-tête accepté.
+>>> Création d'une nouvelle étiquette pour disque de type DOS avec identifiant de disque 0x000b07e9.
+Une nouvelle partition 1 de type « Linux » et de taille 901,4 GiB a été créée.
+/dev/sdb2: 
+Nouvelle situation :
+
+Périphérique Amorçage Début        Fin   Secteurs Taille Id Type
+/dev/sdb1    *         2048 1890306735 1890304688 901,4G 83 Linux
+
+La table de partitions a été altérée.
+Appel d'ioctl() pour relire la table de partitions.
+Synchronisation des disques.
+
+#=====================================================================================
+# Après ça deux répertoires "Documents" et "bash" sont avec ?00000000 et inaccessibles
+#=====================================================================================
+
+
+#=============================================
+# Lancement de e2fsck pour nettoyer le système
+#=============================================
+
+
+[root@blueking:/mnt] # e2fsck -f -y -v -C 0 /dev/sdb1
+---
+---
+Le décompte des i-noeuds libres est erroné pour le groupe n°6880 (8177, décompté=8189).
+Corriger ? oui
+
+Le décompte des répertoires est erroné pour le groupe n°6880 (5, décompté=0).
+Corriger ? oui
+
+Le décompte des i-noeuds libres est erroné pour le groupe n°7136 (8396, décompté=8154).
+Corriger ? oui
+
+Le décompte des répertoires est erroné pour le groupe n°7136 (38, décompté=0).
+Corriger ? oui
+
+Le décompte des répertoires est erroné pour le groupe n°7200 (1, décompté=0).
+Corriger ? oui
+
+Le décompte des i-noeuds libres est erroné (58859880, décompté=58859650).
+Corriger ? oui
+
+---
+---
+
+/dev/sdb1: ***** LE SYSTÈME DE FICHIERS A ÉTÉ MODIFIÉ *****
+
+      212862 i-noeuds utilisés (0.36%, sur 59072512)
+        1927 fichiers non contigus (0.9%)
+         259 répertoires non contigus (0.1%)
+             nombre d'i-noeuds avec des blocs ind/dind/tind : 231/231/231
+             Histogramme des profondeurs d'extents : 177607/261
+   141769780 blocs utilisés (60.00%, sur 236288086)
+           0 bloc défectueux
+          37 fichiers de grande taille
+
+      163905 fichiers normaux
+       12806 répertoires
+          14 fichiers de périphérique en mode caractère
+          13 fichiers de périphérique en mode bloc
+           7 fifos
+  4294967256 liens
+       36100 liens symboliques (34943 liens symboliques rapides)
+           8 sockets
+------------
+      212635 fichiers
+
+#========================================================================
+# Les répertoires "Documents" et "bash" ont disparus après cette commande.
+#========================================================================
+
+--- Fin ---

+ 20 - 0
astuces/scripts/espace_nom

@@ -0,0 +1,20 @@
+# -----------------------------
+Pour gérer les espaces dans un script bash
+# -----------------------------
+
+27 mars 2013
+
+Dans le cas du nom d'un fichier ou d'un dossier avec un ou plusieurs espaces
+dans son nom :
+
+déclaration de la variable :
+SOURCEDIR='/home/jpantinoux/Mon dossier'
+
+Utilisation de la variable
+
+ex :
+rsync -av "$SOURCEDIR"
+
+Il faut encadrer la variable avec des guillements pour la protéger de toute
+interprétation.
+

+ 10 - 0
astuces/scripts/my_ip

@@ -0,0 +1,10 @@
+# Connaitre l'adresse ip publique en ligne de commande
+
+$ wget http://checkip.dyndns.org/ -O - -o /dev/null | cut -d: -f 2 | cut -d\< -f 1
+donne
+82.240.4.59
+
+dig +short myip.opendns.com @resolver1.opendns.com
+donne
+82.240.4.59
+

+ 61 - 0
astuces/scripts/rsync_exclude

@@ -0,0 +1,61 @@
+# -----------------------------
+# Le paramètre exclude de rsync
+# -----------------------------
+
+Source
+http://jeff.ecchi.ca/blog/2010/03/18/le-parametre-exclude-de-rsync/
+
+#
+Rien de tel qu’une belle commande rsync de trois kilomètres de long pour faire
+ses backups… excepté quand on veut exclure certains dossiers et que ça ne
+fonctionne pas. Et qu’on perd une heure à s’arracher les cheveux avant de
+comprendre pourquoi. Voici un exemple (factice) erroné:
+
+# rsync --archive --verbose --stats --progress --delete --delete-excluded
+--exclude="/home/jeff/src/" /home/jeff/ /media/backup/
+
+On pourrait croire, selon le gros-bon-sens, que ceci est syntaxiquement
+correct. D’ailleurs, le manpage de rsync ne dit rien à ce sujet. Après une
+heure de tâtonnement, j’ai eu le insight par rapport à la raison pourquoi cet
+idiot de rsync continuait de backuper le dossier «src» quand même:
+
+'la racine (“/”) est relative au dossier racine qu’on backupe.'
+
+Ainsi, si je backupe
+“/home/jeff/”,
+“/” ne correspond pas réellement à “/”, mais à “/home/jeff/”.
+
+Conséquemment, si je veux exclure
+“/home/jeff/src”,
+
+il faut que je lui dise d’exclure
+“/src”
+
+Allez, geeks barbus, dites-moi que c’est parfaitement naturel et logique et que
+j’aurais dû le deviner immédiatement :)
+
+…en fait, ce n’est pas tout. Je découvre en rédigeant ces lignes que rsync a,
+en plus, deux «modes» d’opération, dépendamment de si on met un “/” à la fin du
+chemin de dossier source ou pas.
+
+Tiré du manuel:
+A trailing slash on the source changes this behavior to transfer all files
+from the directory src/bar on the machine foo into the /data/tmp/.
+
+A trailing / on a source name means “copy the contents of this directory”.
+Without a trailing slash it means “copy the directory”.
+
+Traduction commentée
+--------------------
+
+Un / sur le nom de la source signifie "copier le contenu de ce répertoire"
+
+rsync -av --del -e "ssh -p 18525" /home/jpantinoux/ root@192.168.2.1:/srv/samba/public/save_doc_jp/
+copie le "contenu" du dossier "jpantinoux" dans "save_doc_jp"
+
+Sans un slash, cela signifie "copier le répertoire"
+
+rsync -av --del -e "ssh -p 18525" /home/jpantinoux root@192.168.2.1:/srv/samba/public/save_doc_jp/
+copie le dossier "jpantinoux" dans "save_doc_jp"
+
+

+ 32 - 0
astuces/scripts/teamviewerOnOff

@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Script teamviewerOnOff
+# Le démon Teamviewer reste en route en tache de fond
+# Ce script permet de le manipuler - JPA - décembre 2018
+
+echo "#################################"
+echo "# Teste si le Daemon est actif  #"
+echo "#################################"
+sudo teamviewer daemon status
+echo "#################################"
+echo "# Faites votre choix .........  #"
+echo "#################################"
+echo "Lancer ou arrêter le daemon teamviewer ?"
+echo "Pour lancer taper  1"
+echo "Pour arrêter taper 2"
+read -p "Votre choix 1/2 : " oui
+ if [ $oui = 1 ]
+  then
+    sudo teamviewer daemon start
+    sudo teamviewer daemon enable
+    sudo teamviewer daemon status
+  else
+		if [ $oui = 2 ]
+			then
+        sudo teamviewer daemon disable
+        sudo teamviewer daemon stop
+        sudo teamviewer daemon status
+		  else
+		    exit
+		fi
+ fi

+ 12 - 0
astuces/video/001_archives_film.sh

@@ -0,0 +1,12 @@
+#!/bin/bash
+#
+# 001_archives_films.sh
+# 
+# Jean-Pierre Antinoux - mars 2018
+
+CWD=$(pwd)
+				 cd $CWD/joindre_videos
+         wget http://sloteur.free.fr/arllinux/videos/5_videos_test.tar.gz
+         tar xvf 5_videos_test.tar.gz
+         rm 5_videos_test.tar.gz
+exit 0

+ 28 - 0
astuces/video/LISEZ-MOI

@@ -0,0 +1,28 @@
+#=========================
+Vous avez créé plusieurs petites vidéos que vous voudriez rassembler en une seule.
+Si vous passer par un éditeur vidéo comme :
+Openshot
+ou
+Kdenlive
+le réencodage sera obligatoire et risque de durer un long moment.
+
+#=========================
+Avant de lancer le script pour installer les outils dans votre environnment de travail,
+si vous souhaitez disposer de petites vidéos pour tester, exécuter le script "001_archives_film.sh"
+pour disposer de 5 morceaux de film pour faire vos test.
+#=========================
+
+Avec le petit script "concat.sh" vous pouvez réaliser ceci en quelques secondes.
+
+Pour mettre cet outil en place :
+Lancer le script :
+# ffmpeg-concatener.sh
+
+Il va installer dans votre dossier personnel :
+/home/$USER/Vidéos
+un répertoire nommé "joindre_videos"
+
+Une fois le script "ffmpeg_concatener.sh" exécuté, vous pouvez quitter le compte root
+Revenez dans votre répertoire personnel et en mode graphique préparez vos vidéos à joindre.
+
+Les explications sont dans le fichier "LISEZ-MOI" du répertoire "joindre_videos"

+ 30 - 0
astuces/video/ffmpeg_concatener.sh

@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# ffmpeg_concatener.sh
+
+# Vérification de la syntaxe de l'utilisateur principal
+if [ $USER != "root" ]
+  then
+       echo "Pour exécuter ce script il faut être l'utilisateur root !"
+  else
+    # Vérification du nom d'utilisateur
+    read -p 'Utilisateur (login) dans lequel installer le répertoire : ' nom
+    while [ -z $nom ]; do
+    echo "Veuillez saisir votre nom"
+    read nom
+    done
+    cat /etc/passwd | grep bash | gawk -F ":" '{print $1}' | grep -w $nom > /dev/null
+	if [ $? = "0" ]
+ 		then
+			if [ -z $(which ffmpeg) ];
+	     then
+  		 apt-get --assume-yes install ffmpeg
+     fi
+  fi
+  echo "========================================="
+  echo "== Mise en place du dossier de travail =="
+  echo "==  dans votre répertoirer personnel   =="
+  echo "========================================="
+  cp -R joindre_videos/ /home/$nom/Vidéos/
+  chown -R $nom:$nom /home/$nom/Vidéos/joindre_videos
+fi

+ 39 - 0
astuces/video/joindre_videos/LISEZ-MOI

@@ -0,0 +1,39 @@
+#=========================
+Si vous lisez ce texte à partir de votre dossier "Vidéos/joindre_videos"
+c'est que vous avez exécuté le script "ffmeg_concatener.sh".
+Bravo !
+
+Avec le petit script "concat.sh" vous allez pouvoir assembler vos vidéos.
+
+Prérequis :
+1
+il faut que tous les morceaux de vidéo aient une appelation qui commence par "out"
+Exemple :
+out_ssr-2018-03-15_20.20.42.mp4
+
+2
+Il faut que tous les morceaux soit dans le même format :
+mp4
+ogg
+webm
+etc...
+Par défaut c'est en "mp4"
+Il faut le changer, si nécessaire, en ouvrant le script avec xed dans votre dossier personnel.
+
+3
+Placer les vidéos dans le répertoire "joindre-videos" pour que le script puisse les lister
+
+4
+Ouvrir un terminal
+Se placer dans le dossier :
+$ /home/votre_nom/Vidéos/joindre_videos
+Lancer la procédure :
+$ ./concat.sh
+
+5
+Vous obtenez au bout d'une poignée de secondes un fichier vidéo au format voulu
+Exemple :
+15-03-2018.mp4
+
+C'est tout !
+#=========================

+ 30 - 0
astuces/video/joindre_videos/concat.sh

@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Script pour concaténer dans vidéos sans les réencoder
+# Astuce donnée par Adrien Linuxtricks
+# https://www.youtube.com/watch?v=b9_l3KAsDYg à 11:16
+
+# Toutes les vidéos doivent être dans le même répertoire : ici "joindre_videos"
+# Toutes les vidéos doivent avoir un nom commençant par "out"
+# On peut choisir le format de vidéos souhaité par la variable "FORMAT"
+# Il faut que ce soit le même que les vidéos sources
+
+FORMAT="mp4"
+
+if [ -f concat.txt ];
+				then
+				rm concat.txt
+fi
+
+> concat.txt
+date=$(date +"%d-%m-%Y")
+
+for f in $(ls out*)
+do
+				echo file \'$f\' >> concat.txt
+done
+
+ffmpeg -f concat -i concat.txt -c copy $date.$FORMAT
+echo "========================================="
+echo "==      Votre vidéo est prête !!       =="
+echo "========================================="

+ 55 - 0
astuces/vim/cmd_vim

@@ -0,0 +1,55 @@
+# Les commandes de vim que j'utilise
+
+Pour décommenter une série de lignes consécutives dans vim
+
+Ex :
+
+# Ce script permet, avec les deux fichiers contenus dans ce même dossier,
+# d'installer les invites de commande personnalisées
+# de paramétrer vim, et d'installer les outils de bases.
+
+
+Il faut se placer sur le premier #, puis il faut utiliser la combinaison de
+touche : Ctrl + v
+Vim passe en mode : visuel bloc
+Dans le texte ci-dessus nous voulons aussi effacer l'espace après le #
+Pour cela nous pressons 1 fois la touche "l"
+Notre sélection porte sur le dièse et l'espace de droite.
+Pour étendre la sélection vers le bas il faut presser la touche "J" jusqu'à la
+ligne voulue.
+Ensuite il faut presser sur la touche "D"
+
+# Voici le résultat :
+
+Ce script permet, avec les deux fichiers contenus dans ce même dossier,
+d'installer les invites de commande personnalisées
+de paramétrer vim, et d'installer les outils de bases.
+
+
+# Pour insérer un # et un espace devant chaque ligne :
+
+Il faut se placer sur la première lettre de la première ligne, 
+touche : Ctrl + v
+Vim passe en mode : visuel bloc
+Avec la touche j descendre jusqu'à la dernière ligne à commenter.
+Puis taper la touche "I" en majuscule.
+Taper # et l'espace
+Puis faire 2 fois Echap.
+
+# Voici le résultat :
+
+# Ce script permet, avec les deux fichiers contenus dans ce même dossier,
+# d'installer les invites de commande personnalisées
+# de paramétrer vim, et d'installer les outils de bases.
+
+Et voilà, simple non ?
+
+#==================================================================
+http://blog.nicolargo.com/2009/11/commenter-plusieurs-ligne-dans-vi.html
+
+Petite note interne pour commenter plusieurs lignes (par exemple 4 avec le caractère de commentaire #) dans vi ou vim.
+
+Il suffit de se positionner sur la première ligne à commenter puis de taper :
+
+:.,+4 s/^/#/g
+

+ 19 - 0
astuces/vim/copier_coller_vim

@@ -0,0 +1,19 @@
+# ----------------------------------------------------------
+Quelques commandes pour pratiquer le copier coller dans vim
+# ----------------------------------------------------------
+
+Dans le mode commande "yy" ou "Y"
+	Copie la ligne complète sur laquelle nous sommes
+
+Dans le mode commande "y$" 
+	Copie du curseur jusqu'a la fin de la ligne
+
+Dans le mode commande "yw"
+	Copie le mot sur lequel nous sommes (si le curseur est sur la première
+	lettre du mot)
+
+Dans le mode visuel (il faut avoir appuyé sur la touche "v" lorsque l'on est en
+mode commande.
+	Il faut appuyer sur "l" pour étendre la sélection vers la droite
+	Il faut appuyer sur "h" pour étendre la sélection vers la gauche
+	Une fois la sélection faite appuyer sur "y", se placer pour coller, puis "p"

+ 103 - 0
astuces/virtualbox/convertir_vdi

@@ -0,0 +1,103 @@
+# Comment extraire les données d'un fichier .vdi (Virtual Box)
+
+La première étape consiste à transformer le fichier *.vdi vers le format .raw
+
+Dans l'exemple il s'agit d'une machine virtuelle avec linux mint 13
+
+Se placer dans le dossier ou se trouve le fichier .vdi
+
+# 1 ----------+++
+$ cd VirtualBox/linux\ Mint\ 13/
+
+Ensuite
+
+# 2 ----------+++
+$ VBoxManage clonehd linux\ Mint\ 13.vdi --format RAW /home/jpantinoux/lm13.raw
+0%...10%...20%...30%...40%...50%...60%...70%...80%...90%...100%
+Clone hard disk created in format 'RAW'. UUID: 36c0ee7f-9d85-4172-97d5-498b5662b2e5
+
+J'ai déplacé l'image .raw dans mon répertoire personnel mais cela n'est pas indispensable
+
+Il faut maintenant passer en root pour utiliser la commande fdisk
+
+# 3 ----------+++
+$ su -
+Mot de passe :
+[root@marge:~] #
+
+On se déplace là où se trouve l'image .raw
+
+# 4 ----------+++
+# cd /home/jpantinoux/
+
+# 5 ----------+++
+# fdisk -lu lm13.raw
+Disque lm13.raw : 8589 Mo, 8589934592 octets
+255 têtes, 63 secteurs/piste, 1044 cylindres, total 16777216 secteurs
+Unités = secteurs de 1 * 512 = 512 octets
+Taille de secteur (logique / physique) : 512 octets / 512 octets
+taille d'E/S (minimale / optimale) : 512 octets / 512 octets
+Identifiant de disque : 0x0000607c
+
+Périphérique Amorce  Début        Fin      Blocs     Id  Système
+lm13.raw1   *        2048      194559       96256   83  Linux
+lm13.raw2          196606    16775167     8289281    5  Étendue
+lm13.raw5          196608     2148351      975872   82  partition d'échange Linux / Solaris
+lm13.raw6         2150400    16775167     7312384   83  Linux
+
+Ici le système contient 3 partitions
+lm13.raw1	qui contient /boot
+lm13.raw5	qui contient le swap
+lm13.raw6	qui contient / et /home
+
+Il faut donc transformer la partition  lm13.raw6 en .img
+Pour cela nous allons utiliser dd
+
+# 6 -----------+++
+# dd if=lm13.raw of=lm13.img bs=512 skip=2150400 count=16775167
+14626816+0 enregistrements lus
+14626816+0 enregistrements écrits
+7488929792 octets (7,5 GB) copiés, 418,398 s, 17,9 MB/s
+
+Ensuite créer un dossier dans /mnt
+
+# 7 -----------+++
+# mkdir /mnt/recup_mint
+
+Monter la partition dans le dossier créé :
+
+# 8 ----------+++
+# mount -o loop lm13.img /mnt/recup_mint
+
+On peut voir le résultat
+
+# 9 ----------+++
+[root@marge:/mnt/recup_mint] # ll
+total 100K
+drwxr-xr-x   2 root root 4,0K sept. 18 10:15 bin
+drwxr-xr-x   2 root root 4,0K sept. 18 00:27 boot
+drwxr-xr-x   5 root root 4,0K avril 23  2012 dev
+drwxr-xr-x 150 root root  12K sept. 18 22:30 etc
+drwxr-xr-x   3 root root 4,0K sept. 18 00:55 home
+lrwxrwxrwx   1 root root   32 sept. 18 01:05 initrd.img -> boot/initrd.img-3.2.0-23-generic
+lrwxrwxrwx   1 root root   33 sept. 18 00:28 initrd.img.old -> /boot/initrd.img-3.2.0-23-generic
+drwxr-xr-x  20 root root 4,0K sept. 18 10:17 lib
+drwx------   2 root root  16K sept. 18 00:27 lost+found
+drwxr-xr-x   2 root root 4,0K avril 23  2012 media
+drwxr-xr-x   2 root root 4,0K avril 19  2012 mnt
+drwxr-xr-x   5 root root 4,0K sept. 18 20:33 opt
+drwxr-xr-x   2 root root 4,0K avril 19  2012 proc
+drwx------  11 root root 4,0K sept. 18 22:30 root
+drwxr-xr-x   9 root root 4,0K sept. 18 01:10 run
+drwxr-xr-x   2 root root 4,0K sept. 18 19:11 sbin
+drwxr-xr-x   2 root root 4,0K mars   5  2012 selinux
+drwxr-xr-x   2 root root 4,0K avril 23  2012 srv
+drwxr-xr-x   2 root root 4,0K avril 14  2012 sys
+drwxrwxrwt  14 root root 4,0K sept. 19 21:19 tmp
+drwxr-xr-x  10 root root 4,0K avril 23  2012 usr
+drwxr-xr-x  12 root root 4,0K mai    3  2012 var
+lrwxrwxrwx   1 root root   29 sept. 18 01:05 vmlinuz -> boot/vmlinuz-3.2.0-23-generic
+
+Il suffit de se déplacer dans le dossier /home et de récupérer les données
+
+# -- Fin --

+ 9 - 0
mint/README.txt

@@ -0,0 +1,9 @@
+Mint 17
+-------------
+
+Adaptation du script de Niki Kovacs <info@microlinux.fr> à appliquer post installation
+sur une distribution Mint 17
+
+jpantinoux <sloteur@free.fr>
+samedi 21 juin 2014, 21:28:59 (UTC+0200)
+

+ 19 - 0
mint/bash/invite_root

@@ -0,0 +1,19 @@
+# root_install
+MARRON='\[\033[0;33m\]'
+BLANC='\[\033[1;37m\]'
+ROUGE='\[\033[0;31m\]'
+NC='\[\033[0m\]'
+PS1="$ROUGE[$NC$BLANC\u$NC@$BLANC\h$NC:$MARRON\w$NC$ROUGE]$NC $BLANC#$NC "
+
+# Vim est l'éditeur par défaut
+EDITOR=vim
+VISUAL=$EDITOR
+export EDITOR VISUAL
+
+# `ls' en couleurs :
+export LS_OPTIONS='--color=auto'
+eval "`dircolors`"
+alias ls='ls $LS_OPTIONS'
+alias ll='ls $LS_OPTIONS -lh'
+alias la='ls $LS_OPTIONS -la'
+

+ 19 - 0
mint/bash/invite_users

@@ -0,0 +1,19 @@
+# user_install
+MARRON='\[\033[0;33m\]'
+JAUNE='\[\033[1;33m\]'
+BLANC='\[\033[1;37m\]'
+NC='\[\033[0m\]'
+PS1="$MARRON[$JAUNE\u$NC@$JAUNE\h$NC:$BLANC\w$MARRON] $BLANC\$ $NC"
+
+# # Vim est l'éditeur par défaut
+EDITOR=vim
+VISUAL=$EDITOR
+export EDITOR VISUAL
+
+# # `ls' en couleurs :
+export LS_OPTIONS='--color=auto'
+eval "`dircolors`"
+alias ls='ls $LS_OPTIONS'
+alias ll='ls $LS_OPTIONS -lh'
+alias la='ls $LS_OPTIONS -la'
+

+ 130 - 0
mint/bootsplash/.svn/entries

@@ -0,0 +1,130 @@
+10
+
+dir
+139
+svn+ssh://sloteur@svn.tuxfamily.org/svnroot/slocentos/debian/maya/config/bootsplash
+svn+ssh://sloteur@svn.tuxfamily.org/svnroot/slocentos/debian
+
+
+
+2012-09-23T21:14:51.292026Z
+35
+sloteur
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+c7a678c0-ee49-4bd2-a8b2-f2477b4e8ec8
+
+gl2.tga
+file
+
+
+
+
+2014-06-21T16:32:16.307811Z
+36aaa1bbbc8c258a5e7606a224dc125f
+2012-09-23T21:14:51.292026Z
+35
+sloteur
+has-props
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+125355
+
+wwl.tga
+file
+
+
+
+
+2014-06-21T16:32:16.303811Z
+53b58dd0a80bf268d98c31f54b3b7fda
+2012-05-10T20:34:37.453210Z
+1
+sloteur
+has-props
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+154502
+
+maboul.tga
+file
+
+
+
+
+2014-06-21T16:32:16.307811Z
+81205c05c2b191a2e38145f997e36785
+2012-05-10T20:34:37.453210Z
+1
+sloteur
+has-props
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+83966
+

+ 5 - 0
mint/bootsplash/.svn/prop-base/gl2.tga.svn-base

@@ -0,0 +1,5 @@
+K 13
+svn:mime-type
+V 24
+application/octet-stream
+END

+ 5 - 0
mint/bootsplash/.svn/prop-base/maboul.tga.svn-base

@@ -0,0 +1,5 @@
+K 13
+svn:mime-type
+V 24
+application/octet-stream
+END

+ 5 - 0
mint/bootsplash/.svn/prop-base/wwl.tga.svn-base

@@ -0,0 +1,5 @@
+K 13
+svn:mime-type
+V 24
+application/octet-stream
+END

BIN
mint/bootsplash/.svn/text-base/gl2.tga.svn-base


BIN
mint/bootsplash/.svn/text-base/maboul.tga.svn-base


BIN
mint/bootsplash/.svn/text-base/wwl.tga.svn-base


BIN
mint/bootsplash/gl2.tga


BIN
mint/bootsplash/maboul.tga


BIN
mint/bootsplash/wwl.tga


+ 20 - 0
mint/cleanmenu/cleanmenu.sh

@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+# cleanmenu.sh
+# (c) Niki Kovacs, 2008
+
+CWD=$(pwd)
+ENTRIESDIR=$CWD/desktop
+ENTRIES=`ls $ENTRIESDIR` 
+MENUDIRS="  /usr/share/applications \
+				    /usr/lib/libreoffice/share/xdg"
+
+for MENUDIR in $MENUDIRS; do
+	for ENTRY in $ENTRIES; do
+		if [ -r $MENUDIR/$ENTRY ]; then
+			echo ":: Updating $ENTRY."
+			cat $ENTRIESDIR/$ENTRY > $MENUDIR/$ENTRY
+		fi
+	done
+done
+

+ 12 - 0
mint/cleanmenu/desktop/audacity.desktop

@@ -0,0 +1,12 @@
+[Desktop Entry]
+Name=Sound Editor
+Name[de]=Audio-Editor
+Name[fr]=Éditeur audio
+Comment=Audacity
+Icon=audacity
+Type=Application
+Categories=AudioVideo;Audio;AudioVideoEditing;
+Exec=audacity %F
+StartupNotify=true
+Terminal=false
+MimeType=application/ogg;audio/basic;audio/mpeg;audio/x-aiff;audio/x-mp3;audio/x-wav;application/x-audacity-project;audio/flac;audio/x-flac;

+ 24 - 0
mint/cleanmenu/desktop/base.desktop

@@ -0,0 +1,24 @@
+[Desktop Entry]
+Name=Database 
+Name[de]=Datenbanken
+Name[fr]=Bases de données
+Comment=LibreOffice Base
+Version=1.0
+Terminal=false
+#Icon=libreoffice-base
+Icon=ooo-base
+Type=Application
+Categories=Office;Database;
+Exec=libreoffice --base %U
+MimeType=application/vnd.oasis.opendocument.database;application/vnd.sun.xml.base;
+StartupNotify=true
+X-GIO-NoFuse=true
+Keywords=Data;SQL;
+InitialPreference=5
+Actions=NewDatabase
+StartupWMClass=libreoffice-base
+X-KDE-Protocols=file,http,smb,ftp,webdav
+[Desktop Action NewDatabase]
+Name=New Database
+Exec=libreoffice --base
+OnlyShowIn=Unity;

File diff suppressed because it is too large
+ 24 - 0
mint/cleanmenu/desktop/calc.desktop


+ 15 - 0
mint/cleanmenu/desktop/dconf-editor.desktop

@@ -0,0 +1,15 @@
+[Desktop Entry]
+Name=Configuration editor
+Name[de]=Konfigurationseditor
+Name[fr]=Éditeur de paramètres
+Comment=Dconf Editor
+Exec=dconf-editor
+Terminal=false
+Type=Application
+Icon=dconf-editor
+StartupNotify=true
+Categories=GNOME;GTK;System;
+X-GNOME-Bugzilla-Bugzilla=GNOME
+X-GNOME-Bugzilla-Product=dconf
+X-GNOME-Bugzilla-Component=editor
+X-GNOME-Bugzilla-Version=0.12.0

+ 24 - 0
mint/cleanmenu/desktop/draw.desktop

@@ -0,0 +1,24 @@
+[Desktop Entry]
+Name=Drawing Program
+Name[de]=Zeichenprogramm
+Name[fr]=Logiciel de dessin
+Comment=LibreOffice Draw
+Version=1.0
+Terminal=false
+#Icon=libreoffice-draw
+Icon=applications-graphics
+Type=Application
+Categories=Office;Graphics;FlowChart;Graphics;2DGraphics;VectorGraphics;
+Exec=libreoffice --draw %U
+MimeType=application/vnd.oasis.opendocument.graphics;application/vnd.oasis.opendocument.graphics-template;application/vnd.sun.xml.draw;application/vnd.sun.xml.draw.template;application/vnd.visio;application/x-wpg;application/vnd.corel-draw;application/vnd.ms-publisher;
+StartupNotify=true
+X-GIO-NoFuse=true
+Keywords=Vector;Schema;Diagram;Layout;OpenDocument Graphics;Microsoft Publisher;Corel Draw;cdr;odg;svg;
+InitialPreference=5
+Actions=NewDrawing
+StartupWMClass=libreoffice-draw
+X-KDE-Protocols=file,http,smb,ftp,webdav
+[Desktop Action NewDrawing]
+Name=New Drawing
+Exec=libreoffice --draw
+OnlyShowIn=Unity;

+ 0 - 0
mint/cleanmenu/desktop/empathy.desktop


Some files were not shown because too many files changed in this diff